/* Application.c generated by valac 0.56.14, the Vala compiler
 * generated from Application.vala, do not modify */

/* Application.vala
 *
 * Copyright 2020 Dylan McCall <dylan@dylanmccall.ca>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include "daemon.h"
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>
#include "common.h"
#include <glib-object.h>
#include "config.h"
#include <gtk/gtk.h>
#include <libnotify/notify.h>
#include <gdk/gdk.h>
#include <json-glib/json-glib.h>

#define BREAK_TIMER_DAEMON_APPLICATION_app_name _ ("GNOME Break Timer")
#define BREAK_TIMER_DAEMON_APPLICATION_DATA_VERSION 0
#define BREAK_TIMER_DAEMON_APPLICATION_ACTIVITY_TIMEOUT_MS (60 * BREAK_TIMER_COMMON_TIME_UNIT_MILLISECONDS_IN_SECONDS)
#define BREAK_TIMER_DAEMON_APPLICATION_SAVE_STATE_INTERVAL (10 * BREAK_TIMER_COMMON_TIME_UNIT_MILLISECONDS_IN_SECONDS)

enum  {
	BREAK_TIMER_DAEMON_APPLICATION_0_PROPERTY,
	BREAK_TIMER_DAEMON_APPLICATION_NUM_PROPERTIES
};
static GParamSpec* break_timer_daemon_application_properties[BREAK_TIMER_DAEMON_APPLICATION_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block1Data Block1Data;
#define _json_object_unref0(var) ((var == NULL) ? NULL : (var = (json_object_unref (var), NULL)))
#define __vala_JsonNode_free0(var) ((var == NULL) ? NULL : (var = (_vala_JsonNode_free (var), NULL)))

struct _BreakTimerDaemonApplicationPrivate {
	BreakTimerDaemonBreakManager* break_manager;
	BreakTimerDaemonSessionStatus* session_status;
	BreakTimerDaemonActivityActivityMonitorBackend* activity_monitor_backend;
	BreakTimerDaemonActivityActivityMonitor* activity_monitor;
	BreakTimerDaemonUIManager* ui_manager;
	gchar* cache_path;
	gint64 state_saved_time_ms;
};

struct _Block1Data {
	int _ref_count_;
	BreakTimerDaemonApplication* self;
	guint inhibit_cookie;
};

static gint BreakTimerDaemonApplication_private_offset;
static gpointer break_timer_daemon_application_parent_class = NULL;

static void _break_timer_daemon_application_on_query_end_cb_gtk_application_query_end (GtkApplication* _sender,
                                                                                gpointer self);
static void break_timer_daemon_application_real_activate (GApplication* base);
static void break_timer_daemon_application_real_startup (GApplication* base);
static void break_timer_daemon_application_restore_state (BreakTimerDaemonApplication* self);
static void break_timer_daemon_application_real_shutdown (GApplication* base);
static void break_timer_daemon_application_save_state (BreakTimerDaemonApplication* self);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static gboolean __lambda15_ (Block1Data* _data1_);
static gboolean ___lambda15__gsource_func (gpointer self);
static GFile* break_timer_daemon_application_get_state_file (BreakTimerDaemonApplication* self);
static void _vala_JsonNode_free (JsonNode* self);
static JsonNode* _vala_JsonNode_copy (JsonNode* self);
static void break_timer_daemon_application_finalize (GObject * obj);
static GType break_timer_daemon_application_get_type_once (void);

static inline gpointer
break_timer_daemon_application_get_instance_private (BreakTimerDaemonApplication* self)
{
	return G_STRUCT_MEMBER_P (self, BreakTimerDaemonApplication_private_offset);
}

static void
_break_timer_daemon_application_on_query_end_cb_gtk_application_query_end (GtkApplication* _sender,
                                                                           gpointer self)
{
#line 61 "../src/daemon/Application.vala"
	break_timer_daemon_application_on_query_end_cb ((BreakTimerDaemonApplication*) self);
#line 110 "Application.c"
}

BreakTimerDaemonApplication*
break_timer_daemon_application_construct (GType object_type)
{
	BreakTimerDaemonApplication * self = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 46 "../src/daemon/Application.vala"
	self = (BreakTimerDaemonApplication*) g_object_new (object_type, "application-id", DAEMON_APPLICATION_ID, "flags", G_APPLICATION_FLAGS_NONE, "inactivity-timeout", BREAK_TIMER_DAEMON_APPLICATION_ACTIVITY_TIMEOUT_MS, "register-session", TRUE, NULL);
#line 53 "../src/daemon/Application.vala"
	g_set_application_name (BREAK_TIMER_DAEMON_APPLICATION_app_name);
#line 55 "../src/daemon/Application.vala"
	_tmp0_ = g_get_user_cache_dir ();
#line 55 "../src/daemon/Application.vala"
	_tmp1_ = g_build_filename (_tmp0_, "gnome-break-timer", NULL);
#line 55 "../src/daemon/Application.vala"
	_g_free0 (self->priv->cache_path);
#line 55 "../src/daemon/Application.vala"
	self->priv->cache_path = _tmp1_;
#line 59 "../src/daemon/Application.vala"
	self->priv->state_saved_time_ms = (gint64) 0;
#line 61 "../src/daemon/Application.vala"
	g_signal_connect_object ((GtkApplication*) self, "query-end", (GCallback) _break_timer_daemon_application_on_query_end_cb_gtk_application_query_end, self, 0);
#line 45 "../src/daemon/Application.vala"
	return self;
#line 137 "Application.c"
}

BreakTimerDaemonApplication*
break_timer_daemon_application_new (void)
{
#line 45 "../src/daemon/Application.vala"
	return break_timer_daemon_application_construct (BREAK_TIMER_DAEMON_TYPE_APPLICATION);
#line 145 "Application.c"
}

static void
break_timer_daemon_application_real_activate (GApplication* base)
{
	BreakTimerDaemonApplication * self;
#line 64 "../src/daemon/Application.vala"
	self = (BreakTimerDaemonApplication*) base;
#line 65 "../src/daemon/Application.vala"
	G_APPLICATION_CLASS (break_timer_daemon_application_parent_class)->activate ((GApplication*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_application_get_type (), GtkApplication));
#line 156 "Application.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 74 "../src/daemon/Application.vala"
	return self ? g_object_ref (self) : NULL;
#line 164 "Application.c"
}

static void
break_timer_daemon_application_real_startup (GApplication* base)
{
	BreakTimerDaemonApplication * self;
	GdkScreen* screen = NULL;
	GdkScreen* _tmp0_;
	GdkScreen* _tmp1_;
	GtkCssProvider* style_provider = NULL;
	GtkCssProvider* _tmp2_;
	BreakTimerDaemonSessionStatus* _tmp3_;
	BreakTimerDaemonActivityMutterActivityMonitorBackend* _tmp6_;
	BreakTimerDaemonSessionStatus* _tmp9_;
	BreakTimerDaemonActivityActivityMonitorBackend* _tmp10_;
	BreakTimerDaemonActivityActivityMonitor* _tmp11_;
	BreakTimerDaemonSessionStatus* _tmp14_;
	BreakTimerDaemonUIManager* _tmp15_;
	BreakTimerDaemonUIManager* _tmp18_;
	BreakTimerDaemonActivityActivityMonitor* _tmp19_;
	BreakTimerDaemonBreakManager* _tmp20_;
	BreakTimerDaemonActivityActivityMonitor* _tmp23_;
	GError* _inner_error0_ = NULL;
#line 68 "../src/daemon/Application.vala"
	self = (BreakTimerDaemonApplication*) base;
#line 69 "../src/daemon/Application.vala"
	G_APPLICATION_CLASS (break_timer_daemon_application_parent_class)->startup ((GApplication*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_application_get_type (), GtkApplication));
#line 71 "../src/daemon/Application.vala"
	notify_init (BREAK_TIMER_DAEMON_APPLICATION_app_name);
#line 74 "../src/daemon/Application.vala"
	_tmp0_ = gdk_screen_get_default ();
#line 74 "../src/daemon/Application.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 74 "../src/daemon/Application.vala"
	screen = _tmp1_;
#line 75 "../src/daemon/Application.vala"
	_tmp2_ = gtk_css_provider_new ();
#line 75 "../src/daemon/Application.vala"
	style_provider = _tmp2_;
#line 77 "../src/daemon/Application.vala"
	gtk_style_context_add_provider_for_screen (screen, (GtkStyleProvider*) style_provider, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 83 "../src/daemon/Application.vala"
	_tmp3_ = break_timer_daemon_session_status_new ();
#line 83 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->session_status);
#line 83 "../src/daemon/Application.vala"
	self->priv->session_status = _tmp3_;
#line 212 "Application.c"
	{
		BreakTimerDaemonSessionStatus* _tmp4_;
#line 85 "../src/daemon/Application.vala"
		_tmp4_ = self->priv->session_status;
#line 85 "../src/daemon/Application.vala"
		g_initable_init ((GInitable*) _tmp4_, NULL, &_inner_error0_);
#line 85 "../src/daemon/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 221 "Application.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp5_;
#line 84 "../src/daemon/Application.vala"
		_error_ = _inner_error0_;
#line 84 "../src/daemon/Application.vala"
		_inner_error0_ = NULL;
#line 87 "../src/daemon/Application.vala"
		_tmp5_ = _error_->message;
#line 87 "../src/daemon/Application.vala"
		g_error ("Application.vala:87: Error initializing session_status: %s", _tmp5_);
#line 84 "../src/daemon/Application.vala"
		_g_error_free0 (_error_);
#line 240 "Application.c"
	}
	__finally0:
#line 84 "../src/daemon/Application.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 84 "../src/daemon/Application.vala"
		_g_object_unref0 (style_provider);
#line 84 "../src/daemon/Application.vala"
		_g_object_unref0 (screen);
#line 84 "../src/daemon/Application.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 84 "../src/daemon/Application.vala"
		g_clear_error (&_inner_error0_);
#line 84 "../src/daemon/Application.vala"
		return;
#line 255 "Application.c"
	}
#line 90 "../src/daemon/Application.vala"
	_tmp6_ = break_timer_daemon_activity_mutter_activity_monitor_backend_new ();
#line 90 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->activity_monitor_backend);
#line 90 "../src/daemon/Application.vala"
	self->priv->activity_monitor_backend = (BreakTimerDaemonActivityActivityMonitorBackend*) _tmp6_;
#line 263 "Application.c"
	{
		BreakTimerDaemonActivityActivityMonitorBackend* _tmp7_;
#line 92 "../src/daemon/Application.vala"
		_tmp7_ = self->priv->activity_monitor_backend;
#line 92 "../src/daemon/Application.vala"
		break_timer_daemon_activity_activity_monitor_backend_init (_tmp7_, NULL, &_inner_error0_);
#line 92 "../src/daemon/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 272 "Application.c"
			goto __catch1_g_error;
		}
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp8_;
#line 91 "../src/daemon/Application.vala"
		_error_ = _inner_error0_;
#line 91 "../src/daemon/Application.vala"
		_inner_error0_ = NULL;
#line 94 "../src/daemon/Application.vala"
		_tmp8_ = _error_->message;
#line 94 "../src/daemon/Application.vala"
		g_error ("Application.vala:94: Error initializing activity_monitor_backend: %s", _tmp8_);
#line 91 "../src/daemon/Application.vala"
		_g_error_free0 (_error_);
#line 291 "Application.c"
	}
	__finally1:
#line 91 "../src/daemon/Application.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 91 "../src/daemon/Application.vala"
		_g_object_unref0 (style_provider);
#line 91 "../src/daemon/Application.vala"
		_g_object_unref0 (screen);
#line 91 "../src/daemon/Application.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 91 "../src/daemon/Application.vala"
		g_clear_error (&_inner_error0_);
#line 91 "../src/daemon/Application.vala"
		return;
#line 306 "Application.c"
	}
#line 97 "../src/daemon/Application.vala"
	_tmp9_ = self->priv->session_status;
#line 97 "../src/daemon/Application.vala"
	_tmp10_ = self->priv->activity_monitor_backend;
#line 97 "../src/daemon/Application.vala"
	_tmp11_ = break_timer_daemon_activity_activity_monitor_new ((BreakTimerCommonISessionStatus*) _tmp9_, _tmp10_);
#line 97 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->activity_monitor);
#line 97 "../src/daemon/Application.vala"
	self->priv->activity_monitor = _tmp11_;
#line 318 "Application.c"
	{
		BreakTimerDaemonActivityActivityMonitor* _tmp12_;
#line 99 "../src/daemon/Application.vala"
		_tmp12_ = self->priv->activity_monitor;
#line 99 "../src/daemon/Application.vala"
		g_initable_init ((GInitable*) _tmp12_, NULL, &_inner_error0_);
#line 99 "../src/daemon/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 327 "Application.c"
			goto __catch2_g_error;
		}
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp13_;
#line 98 "../src/daemon/Application.vala"
		_error_ = _inner_error0_;
#line 98 "../src/daemon/Application.vala"
		_inner_error0_ = NULL;
#line 101 "../src/daemon/Application.vala"
		_tmp13_ = _error_->message;
#line 101 "../src/daemon/Application.vala"
		g_error ("Application.vala:101: Error initializing activity_monitor: %s", _tmp13_);
#line 98 "../src/daemon/Application.vala"
		_g_error_free0 (_error_);
#line 346 "Application.c"
	}
	__finally2:
#line 98 "../src/daemon/Application.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 98 "../src/daemon/Application.vala"
		_g_object_unref0 (style_provider);
#line 98 "../src/daemon/Application.vala"
		_g_object_unref0 (screen);
#line 98 "../src/daemon/Application.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 98 "../src/daemon/Application.vala"
		g_clear_error (&_inner_error0_);
#line 98 "../src/daemon/Application.vala"
		return;
#line 361 "Application.c"
	}
#line 104 "../src/daemon/Application.vala"
	_tmp14_ = self->priv->session_status;
#line 104 "../src/daemon/Application.vala"
	_tmp15_ = break_timer_daemon_ui_manager_new ((GtkApplication*) self, (BreakTimerCommonISessionStatus*) _tmp14_);
#line 104 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->ui_manager);
#line 104 "../src/daemon/Application.vala"
	self->priv->ui_manager = _tmp15_;
#line 371 "Application.c"
	{
		BreakTimerDaemonUIManager* _tmp16_;
#line 106 "../src/daemon/Application.vala"
		_tmp16_ = self->priv->ui_manager;
#line 106 "../src/daemon/Application.vala"
		g_initable_init ((GInitable*) _tmp16_, NULL, &_inner_error0_);
#line 106 "../src/daemon/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 380 "Application.c"
			goto __catch3_g_error;
		}
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp17_;
#line 105 "../src/daemon/Application.vala"
		_error_ = _inner_error0_;
#line 105 "../src/daemon/Application.vala"
		_inner_error0_ = NULL;
#line 108 "../src/daemon/Application.vala"
		_tmp17_ = _error_->message;
#line 108 "../src/daemon/Application.vala"
		g_error ("Application.vala:108: Error initializing ui_manager: %s", _tmp17_);
#line 105 "../src/daemon/Application.vala"
		_g_error_free0 (_error_);
#line 399 "Application.c"
	}
	__finally3:
#line 105 "../src/daemon/Application.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 105 "../src/daemon/Application.vala"
		_g_object_unref0 (style_provider);
#line 105 "../src/daemon/Application.vala"
		_g_object_unref0 (screen);
#line 105 "../src/daemon/Application.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 105 "../src/daemon/Application.vala"
		g_clear_error (&_inner_error0_);
#line 105 "../src/daemon/Application.vala"
		return;
#line 414 "Application.c"
	}
#line 111 "../src/daemon/Application.vala"
	_tmp18_ = self->priv->ui_manager;
#line 111 "../src/daemon/Application.vala"
	_tmp19_ = self->priv->activity_monitor;
#line 111 "../src/daemon/Application.vala"
	_tmp20_ = break_timer_daemon_break_manager_new (_tmp18_, _tmp19_);
#line 111 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->break_manager);
#line 111 "../src/daemon/Application.vala"
	self->priv->break_manager = _tmp20_;
#line 426 "Application.c"
	{
		BreakTimerDaemonBreakManager* _tmp21_;
#line 113 "../src/daemon/Application.vala"
		_tmp21_ = self->priv->break_manager;
#line 113 "../src/daemon/Application.vala"
		g_initable_init ((GInitable*) _tmp21_, NULL, &_inner_error0_);
#line 113 "../src/daemon/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 435 "Application.c"
			goto __catch4_g_error;
		}
	}
	goto __finally4;
	__catch4_g_error:
	{
		GError* _error_ = NULL;
		const gchar* _tmp22_;
#line 112 "../src/daemon/Application.vala"
		_error_ = _inner_error0_;
#line 112 "../src/daemon/Application.vala"
		_inner_error0_ = NULL;
#line 115 "../src/daemon/Application.vala"
		_tmp22_ = _error_->message;
#line 115 "../src/daemon/Application.vala"
		g_error ("Application.vala:115: Error initializing break_manager: %s", _tmp22_);
#line 112 "../src/daemon/Application.vala"
		_g_error_free0 (_error_);
#line 454 "Application.c"
	}
	__finally4:
#line 112 "../src/daemon/Application.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 112 "../src/daemon/Application.vala"
		_g_object_unref0 (style_provider);
#line 112 "../src/daemon/Application.vala"
		_g_object_unref0 (screen);
#line 112 "../src/daemon/Application.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 112 "../src/daemon/Application.vala"
		g_clear_error (&_inner_error0_);
#line 112 "../src/daemon/Application.vala"
		return;
#line 469 "Application.c"
	}
#line 118 "../src/daemon/Application.vala"
	break_timer_daemon_application_restore_state (self);
#line 120 "../src/daemon/Application.vala"
	_tmp23_ = self->priv->activity_monitor;
#line 120 "../src/daemon/Application.vala"
	break_timer_daemon_activity_activity_monitor_start (_tmp23_);
#line 68 "../src/daemon/Application.vala"
	_g_object_unref0 (style_provider);
#line 68 "../src/daemon/Application.vala"
	_g_object_unref0 (screen);
#line 481 "Application.c"
}

static void
break_timer_daemon_application_real_shutdown (GApplication* base)
{
	BreakTimerDaemonApplication * self;
#line 123 "../src/daemon/Application.vala"
	self = (BreakTimerDaemonApplication*) base;
#line 124 "../src/daemon/Application.vala"
	G_APPLICATION_CLASS (break_timer_daemon_application_parent_class)->shutdown ((GApplication*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_application_get_type (), GtkApplication));
#line 126 "../src/daemon/Application.vala"
	break_timer_daemon_application_save_state (self);
#line 494 "Application.c"
}

static Block1Data*
block1_data_ref (Block1Data* _data1_)
{
#line 129 "../src/daemon/Application.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 129 "../src/daemon/Application.vala"
	return _data1_;
#line 504 "Application.c"
}

static void
block1_data_unref (void * _userdata_)
{
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 129 "../src/daemon/Application.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 514 "Application.c"
		BreakTimerDaemonApplication* self;
#line 129 "../src/daemon/Application.vala"
		self = _data1_->self;
#line 129 "../src/daemon/Application.vala"
		_g_object_unref0 (self);
#line 129 "../src/daemon/Application.vala"
		g_slice_free (Block1Data, _data1_);
#line 522 "Application.c"
	}
}

static gboolean
__lambda15_ (Block1Data* _data1_)
{
	BreakTimerDaemonApplication* self;
	gboolean result;
#line 133 "../src/daemon/Application.vala"
	self = _data1_->self;
#line 134 "../src/daemon/Application.vala"
	break_timer_daemon_application_save_state (self);
#line 135 "../src/daemon/Application.vala"
	gtk_application_uninhibit ((GtkApplication*) self, _data1_->inhibit_cookie);
#line 136 "../src/daemon/Application.vala"
	result = G_SOURCE_REMOVE;
#line 136 "../src/daemon/Application.vala"
	return result;
#line 541 "Application.c"
}

static gboolean
___lambda15__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda15_ (self);
#line 131 "../src/daemon/Application.vala"
	return result;
#line 551 "Application.c"
}

void
break_timer_daemon_application_on_query_end_cb (BreakTimerDaemonApplication* self)
{
	Block1Data* _data1_;
#line 129 "../src/daemon/Application.vala"
	g_return_if_fail (self != NULL);
#line 129 "../src/daemon/Application.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 129 "../src/daemon/Application.vala"
	_data1_->_ref_count_ = 1;
#line 129 "../src/daemon/Application.vala"
	_data1_->self = g_object_ref (self);
#line 130 "../src/daemon/Application.vala"
	_data1_->inhibit_cookie = gtk_application_inhibit ((GtkApplication*) self, NULL, GTK_APPLICATION_INHIBIT_LOGOUT, _ ("Saving state"));
#line 131 "../src/daemon/Application.vala"
	g_idle_add_full (G_PRIORITY_HIGH_IDLE, ___lambda15__gsource_func, block1_data_ref (_data1_), block1_data_unref);
#line 129 "../src/daemon/Application.vala"
	block1_data_unref (_data1_);
#line 129 "../src/daemon/Application.vala"
	_data1_ = NULL;
#line 574 "Application.c"
}

static GFile*
break_timer_daemon_application_get_state_file (BreakTimerDaemonApplication* self)
{
	GFile* cache_dir = NULL;
	const gchar* _tmp0_;
	GFile* _tmp1_;
	gchar* state_file_name = NULL;
	gchar* _tmp6_;
	GFile* _tmp7_;
	GFile* _tmp8_;
	GError* _inner_error0_ = NULL;
	GFile* result;
#line 141 "../src/daemon/Application.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 142 "../src/daemon/Application.vala"
	_tmp0_ = self->priv->cache_path;
#line 142 "../src/daemon/Application.vala"
	_tmp1_ = g_file_new_for_path (_tmp0_);
#line 142 "../src/daemon/Application.vala"
	cache_dir = _tmp1_;
#line 597 "Application.c"
	{
		GFile* _tmp2_;
#line 144 "../src/daemon/Application.vala"
		_tmp2_ = cache_dir;
#line 144 "../src/daemon/Application.vala"
		if (!g_file_query_exists (_tmp2_, NULL)) {
#line 604 "Application.c"
			GFile* _tmp3_;
#line 145 "../src/daemon/Application.vala"
			_tmp3_ = cache_dir;
#line 145 "../src/daemon/Application.vala"
			g_file_make_directory_with_parents (_tmp3_, NULL, &_inner_error0_);
#line 145 "../src/daemon/Application.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 612 "Application.c"
				goto __catch0_g_error;
			}
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 143 "../src/daemon/Application.vala"
		e = _inner_error0_;
#line 143 "../src/daemon/Application.vala"
		_inner_error0_ = NULL;
#line 148 "../src/daemon/Application.vala"
		_tmp4_ = e;
#line 148 "../src/daemon/Application.vala"
		_tmp5_ = _tmp4_->message;
#line 148 "../src/daemon/Application.vala"
		g_warning ("Application.vala:148: Error creating cache directory: %s", _tmp5_);
#line 143 "../src/daemon/Application.vala"
		_g_error_free0 (e);
#line 635 "Application.c"
	}
	__finally0:
#line 143 "../src/daemon/Application.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 143 "../src/daemon/Application.vala"
		_g_object_unref0 (cache_dir);
#line 143 "../src/daemon/Application.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 143 "../src/daemon/Application.vala"
		g_clear_error (&_inner_error0_);
#line 143 "../src/daemon/Application.vala"
		return NULL;
#line 648 "Application.c"
	}
#line 150 "../src/daemon/Application.vala"
	_tmp6_ = g_strdup_printf ("last-state-%d.json", BREAK_TIMER_DAEMON_APPLICATION_DATA_VERSION);
#line 150 "../src/daemon/Application.vala"
	state_file_name = _tmp6_;
#line 151 "../src/daemon/Application.vala"
	_tmp7_ = cache_dir;
#line 151 "../src/daemon/Application.vala"
	_tmp8_ = g_file_get_child (_tmp7_, state_file_name);
#line 151 "../src/daemon/Application.vala"
	result = _tmp8_;
#line 151 "../src/daemon/Application.vala"
	_g_free0 (state_file_name);
#line 151 "../src/daemon/Application.vala"
	_g_object_unref0 (cache_dir);
#line 151 "../src/daemon/Application.vala"
	return result;
#line 666 "Application.c"
}

static void
_vala_JsonNode_free (JsonNode* self)
{
#line 175 "../src/daemon/Application.vala"
	g_boxed_free (json_node_get_type (), self);
#line 674 "Application.c"
}

static void
break_timer_daemon_application_save_state (BreakTimerDaemonApplication* self)
{
	gint64 now = 0LL;
	GFile* state_file = NULL;
	GFile* _tmp0_;
	JsonGenerator* generator = NULL;
	JsonGenerator* _tmp1_;
	JsonNode* root = NULL;
	JsonNode* _tmp2_;
	JsonObject* root_object = NULL;
	JsonObject* _tmp3_;
	JsonNode* _tmp4_;
	JsonObject* _tmp5_;
	JsonGenerator* _tmp6_;
	JsonNode* _tmp7_;
	JsonObject* _tmp8_;
	BreakTimerDaemonBreakManager* _tmp9_;
	JsonObject* _tmp10_;
	JsonObject* _tmp11_;
	BreakTimerDaemonActivityActivityMonitorBackend* _tmp12_;
	JsonObject* _tmp13_;
	JsonObject* _tmp14_;
	BreakTimerDaemonActivityActivityMonitor* _tmp15_;
	JsonObject* _tmp16_;
	GError* _inner_error0_ = NULL;
#line 154 "../src/daemon/Application.vala"
	g_return_if_fail (self != NULL);
#line 155 "../src/daemon/Application.vala"
	now = break_timer_common_time_unit_get_monotonic_time_ms ();
#line 157 "../src/daemon/Application.vala"
	if ((now - self->priv->state_saved_time_ms) < ((gint64) BREAK_TIMER_DAEMON_APPLICATION_SAVE_STATE_INTERVAL)) {
#line 158 "../src/daemon/Application.vala"
		return;
#line 711 "Application.c"
	} else {
#line 160 "../src/daemon/Application.vala"
		self->priv->state_saved_time_ms = now;
#line 715 "Application.c"
	}
#line 163 "../src/daemon/Application.vala"
	_tmp0_ = break_timer_daemon_application_get_state_file (self);
#line 163 "../src/daemon/Application.vala"
	state_file = _tmp0_;
#line 165 "../src/daemon/Application.vala"
	_tmp1_ = json_generator_new ();
#line 165 "../src/daemon/Application.vala"
	generator = _tmp1_;
#line 166 "../src/daemon/Application.vala"
	_tmp2_ = json_node_new (JSON_NODE_OBJECT);
#line 166 "../src/daemon/Application.vala"
	root = _tmp2_;
#line 167 "../src/daemon/Application.vala"
	_tmp3_ = json_object_new ();
#line 167 "../src/daemon/Application.vala"
	root_object = _tmp3_;
#line 168 "../src/daemon/Application.vala"
	_tmp4_ = root;
#line 168 "../src/daemon/Application.vala"
	_tmp5_ = root_object;
#line 168 "../src/daemon/Application.vala"
	json_node_set_object (_tmp4_, _tmp5_);
#line 169 "../src/daemon/Application.vala"
	_tmp6_ = generator;
#line 169 "../src/daemon/Application.vala"
	_tmp7_ = root;
#line 169 "../src/daemon/Application.vala"
	json_generator_set_root (_tmp6_, _tmp7_);
#line 171 "../src/daemon/Application.vala"
	_tmp8_ = root_object;
#line 171 "../src/daemon/Application.vala"
	_tmp9_ = self->priv->break_manager;
#line 171 "../src/daemon/Application.vala"
	_tmp10_ = break_timer_daemon_break_manager_serialize (_tmp9_);
#line 171 "../src/daemon/Application.vala"
	json_object_set_object_member (_tmp8_, "break_manager", _tmp10_);
#line 172 "../src/daemon/Application.vala"
	_tmp11_ = root_object;
#line 172 "../src/daemon/Application.vala"
	_tmp12_ = self->priv->activity_monitor_backend;
#line 172 "../src/daemon/Application.vala"
	_tmp13_ = break_timer_daemon_activity_activity_monitor_backend_serialize (_tmp12_);
#line 172 "../src/daemon/Application.vala"
	json_object_set_object_member (_tmp11_, "activity_monitor_backend", _tmp13_);
#line 173 "../src/daemon/Application.vala"
	_tmp14_ = root_object;
#line 173 "../src/daemon/Application.vala"
	_tmp15_ = self->priv->activity_monitor;
#line 173 "../src/daemon/Application.vala"
	_tmp16_ = break_timer_daemon_activity_activity_monitor_serialize (_tmp15_);
#line 173 "../src/daemon/Application.vala"
	json_object_set_object_member (_tmp14_, "activity_monitor", _tmp16_);
#line 769 "Application.c"
	{
		GOutputStream* state_stream = NULL;
		GFile* _tmp17_;
		GFileOutputStream* _tmp18_;
		JsonGenerator* _tmp19_;
		GOutputStream* _tmp20_;
#line 176 "../src/daemon/Application.vala"
		_tmp17_ = state_file;
#line 176 "../src/daemon/Application.vala"
		_tmp18_ = g_file_replace (_tmp17_, NULL, FALSE, G_FILE_CREATE_NONE, NULL, &_inner_error0_);
#line 176 "../src/daemon/Application.vala"
		state_stream = (GOutputStream*) _tmp18_;
#line 176 "../src/daemon/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 784 "Application.c"
			goto __catch0_g_error;
		}
#line 177 "../src/daemon/Application.vala"
		_tmp19_ = generator;
#line 177 "../src/daemon/Application.vala"
		_tmp20_ = state_stream;
#line 177 "../src/daemon/Application.vala"
		json_generator_to_stream (_tmp19_, _tmp20_, NULL, &_inner_error0_);
#line 177 "../src/daemon/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 177 "../src/daemon/Application.vala"
			_g_object_unref0 (state_stream);
#line 797 "Application.c"
			goto __catch0_g_error;
		}
#line 175 "../src/daemon/Application.vala"
		_g_object_unref0 (state_stream);
#line 802 "Application.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp21_;
		const gchar* _tmp22_;
#line 175 "../src/daemon/Application.vala"
		e = _inner_error0_;
#line 175 "../src/daemon/Application.vala"
		_inner_error0_ = NULL;
#line 179 "../src/daemon/Application.vala"
		_tmp21_ = e;
#line 179 "../src/daemon/Application.vala"
		_tmp22_ = _tmp21_->message;
#line 179 "../src/daemon/Application.vala"
		g_warning ("Application.vala:179: Error writing to state file: %s", _tmp22_);
#line 175 "../src/daemon/Application.vala"
		_g_error_free0 (e);
#line 822 "Application.c"
	}
	__finally0:
#line 175 "../src/daemon/Application.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 175 "../src/daemon/Application.vala"
		_json_object_unref0 (root_object);
#line 175 "../src/daemon/Application.vala"
		__vala_JsonNode_free0 (root);
#line 175 "../src/daemon/Application.vala"
		_g_object_unref0 (generator);
#line 175 "../src/daemon/Application.vala"
		_g_object_unref0 (state_file);
#line 175 "../src/daemon/Application.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 175 "../src/daemon/Application.vala"
		g_clear_error (&_inner_error0_);
#line 175 "../src/daemon/Application.vala"
		return;
#line 841 "Application.c"
	}
#line 154 "../src/daemon/Application.vala"
	_json_object_unref0 (root_object);
#line 154 "../src/daemon/Application.vala"
	__vala_JsonNode_free0 (root);
#line 154 "../src/daemon/Application.vala"
	_g_object_unref0 (generator);
#line 154 "../src/daemon/Application.vala"
	_g_object_unref0 (state_file);
#line 851 "Application.c"
}

static JsonNode*
_vala_JsonNode_copy (JsonNode* self)
{
#line 195 "../src/daemon/Application.vala"
	return g_boxed_copy (json_node_get_type (), self);
#line 859 "Application.c"
}

static gpointer
__vala_JsonNode_copy0 (gpointer self)
{
#line 195 "../src/daemon/Application.vala"
	return self ? _vala_JsonNode_copy (self) : NULL;
#line 867 "Application.c"
}

static gpointer
_json_object_ref0 (gpointer self)
{
#line 197 "../src/daemon/Application.vala"
	return self ? json_object_ref (self) : NULL;
#line 875 "Application.c"
}

static void
break_timer_daemon_application_restore_state (BreakTimerDaemonApplication* self)
{
	GFile* state_file = NULL;
	GFile* _tmp0_;
	GFile* _tmp1_;
	GError* _inner_error0_ = NULL;
#line 183 "../src/daemon/Application.vala"
	g_return_if_fail (self != NULL);
#line 184 "../src/daemon/Application.vala"
	_tmp0_ = break_timer_daemon_application_get_state_file (self);
#line 184 "../src/daemon/Application.vala"
	state_file = _tmp0_;
#line 185 "../src/daemon/Application.vala"
	_tmp1_ = state_file;
#line 185 "../src/daemon/Application.vala"
	if (g_file_query_exists (_tmp1_, NULL)) {
#line 895 "Application.c"
		JsonParser* parser = NULL;
		JsonParser* _tmp2_;
		JsonNode* root = NULL;
		JsonParser* _tmp9_;
		JsonNode* _tmp10_;
		JsonNode* _tmp11_;
		JsonNode* _tmp12_;
#line 186 "../src/daemon/Application.vala"
		_tmp2_ = json_parser_new ();
#line 186 "../src/daemon/Application.vala"
		parser = _tmp2_;
#line 907 "Application.c"
		{
			GInputStream* state_stream = NULL;
			GFile* _tmp3_;
			GFileInputStream* _tmp4_;
			JsonParser* _tmp5_;
			GInputStream* _tmp6_;
#line 189 "../src/daemon/Application.vala"
			_tmp3_ = state_file;
#line 189 "../src/daemon/Application.vala"
			_tmp4_ = g_file_read (_tmp3_, NULL, &_inner_error0_);
#line 189 "../src/daemon/Application.vala"
			state_stream = (GInputStream*) _tmp4_;
#line 189 "../src/daemon/Application.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 922 "Application.c"
				goto __catch0_g_error;
			}
#line 190 "../src/daemon/Application.vala"
			_tmp5_ = parser;
#line 190 "../src/daemon/Application.vala"
			_tmp6_ = state_stream;
#line 190 "../src/daemon/Application.vala"
			json_parser_load_from_stream (_tmp5_, _tmp6_, NULL, &_inner_error0_);
#line 190 "../src/daemon/Application.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 190 "../src/daemon/Application.vala"
				_g_object_unref0 (state_stream);
#line 935 "Application.c"
				goto __catch0_g_error;
			}
#line 188 "../src/daemon/Application.vala"
			_g_object_unref0 (state_stream);
#line 940 "Application.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp7_;
			const gchar* _tmp8_;
#line 188 "../src/daemon/Application.vala"
			e = _inner_error0_;
#line 188 "../src/daemon/Application.vala"
			_inner_error0_ = NULL;
#line 192 "../src/daemon/Application.vala"
			_tmp7_ = e;
#line 192 "../src/daemon/Application.vala"
			_tmp8_ = _tmp7_->message;
#line 192 "../src/daemon/Application.vala"
			g_warning ("Application.vala:192: Error reading state file: %s", _tmp8_);
#line 188 "../src/daemon/Application.vala"
			_g_error_free0 (e);
#line 960 "Application.c"
		}
		__finally0:
#line 188 "../src/daemon/Application.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 188 "../src/daemon/Application.vala"
			_g_object_unref0 (parser);
#line 188 "../src/daemon/Application.vala"
			_g_object_unref0 (state_file);
#line 188 "../src/daemon/Application.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 188 "../src/daemon/Application.vala"
			g_clear_error (&_inner_error0_);
#line 188 "../src/daemon/Application.vala"
			return;
#line 975 "Application.c"
		}
#line 195 "../src/daemon/Application.vala"
		_tmp9_ = parser;
#line 195 "../src/daemon/Application.vala"
		_tmp10_ = json_parser_get_root (_tmp9_);
#line 195 "../src/daemon/Application.vala"
		_tmp11_ = __vala_JsonNode_copy0 (_tmp10_);
#line 195 "../src/daemon/Application.vala"
		root = _tmp11_;
#line 196 "../src/daemon/Application.vala"
		_tmp12_ = root;
#line 196 "../src/daemon/Application.vala"
		if (_tmp12_ != NULL) {
#line 989 "Application.c"
			JsonObject* root_object = NULL;
			JsonNode* _tmp13_;
			JsonObject* _tmp14_;
			JsonObject* _tmp15_;
			JsonObject* break_manager_json = NULL;
			JsonObject* _tmp16_;
			JsonObject* _tmp17_;
			JsonObject* _tmp18_;
			BreakTimerDaemonBreakManager* _tmp19_;
			JsonObject* activity_monitor_backend_json = NULL;
			JsonObject* _tmp20_;
			JsonObject* _tmp21_;
			JsonObject* _tmp22_;
			BreakTimerDaemonActivityActivityMonitorBackend* _tmp23_;
			JsonObject* activity_monitor_json = NULL;
			JsonObject* _tmp24_;
			JsonObject* _tmp25_;
			JsonObject* _tmp26_;
			BreakTimerDaemonActivityActivityMonitor* _tmp27_;
			BreakTimerDaemonActivityActivityMonitor* _tmp28_;
#line 197 "../src/daemon/Application.vala"
			_tmp13_ = root;
#line 197 "../src/daemon/Application.vala"
			_tmp14_ = json_node_get_object (_tmp13_);
#line 197 "../src/daemon/Application.vala"
			_tmp15_ = _json_object_ref0 (_tmp14_);
#line 197 "../src/daemon/Application.vala"
			root_object = _tmp15_;
#line 199 "../src/daemon/Application.vala"
			_tmp16_ = root_object;
#line 199 "../src/daemon/Application.vala"
			_tmp17_ = json_object_get_object_member (_tmp16_, "break_manager");
#line 199 "../src/daemon/Application.vala"
			_tmp18_ = _json_object_ref0 (_tmp17_);
#line 199 "../src/daemon/Application.vala"
			break_manager_json = _tmp18_;
#line 200 "../src/daemon/Application.vala"
			_tmp19_ = self->priv->break_manager;
#line 200 "../src/daemon/Application.vala"
			break_timer_daemon_break_manager_deserialize (_tmp19_, &break_manager_json);
#line 202 "../src/daemon/Application.vala"
			_tmp20_ = root_object;
#line 202 "../src/daemon/Application.vala"
			_tmp21_ = json_object_get_object_member (_tmp20_, "activity_monitor_backend");
#line 202 "../src/daemon/Application.vala"
			_tmp22_ = _json_object_ref0 (_tmp21_);
#line 202 "../src/daemon/Application.vala"
			activity_monitor_backend_json = _tmp22_;
#line 203 "../src/daemon/Application.vala"
			_tmp23_ = self->priv->activity_monitor_backend;
#line 203 "../src/daemon/Application.vala"
			break_timer_daemon_activity_activity_monitor_backend_deserialize (_tmp23_, &activity_monitor_backend_json);
#line 205 "../src/daemon/Application.vala"
			_tmp24_ = root_object;
#line 205 "../src/daemon/Application.vala"
			_tmp25_ = json_object_get_object_member (_tmp24_, "activity_monitor");
#line 205 "../src/daemon/Application.vala"
			_tmp26_ = _json_object_ref0 (_tmp25_);
#line 205 "../src/daemon/Application.vala"
			activity_monitor_json = _tmp26_;
#line 206 "../src/daemon/Application.vala"
			_tmp27_ = self->priv->activity_monitor;
#line 206 "../src/daemon/Application.vala"
			break_timer_daemon_activity_activity_monitor_deserialize (_tmp27_, &activity_monitor_json);
#line 208 "../src/daemon/Application.vala"
			_tmp28_ = self->priv->activity_monitor;
#line 208 "../src/daemon/Application.vala"
			break_timer_daemon_activity_activity_monitor_poll_activity (_tmp28_);
#line 196 "../src/daemon/Application.vala"
			_json_object_unref0 (activity_monitor_json);
#line 196 "../src/daemon/Application.vala"
			_json_object_unref0 (activity_monitor_backend_json);
#line 196 "../src/daemon/Application.vala"
			_json_object_unref0 (break_manager_json);
#line 196 "../src/daemon/Application.vala"
			_json_object_unref0 (root_object);
#line 1066 "Application.c"
		}
#line 185 "../src/daemon/Application.vala"
		__vala_JsonNode_free0 (root);
#line 185 "../src/daemon/Application.vala"
		_g_object_unref0 (parser);
#line 1072 "Application.c"
	}
#line 183 "../src/daemon/Application.vala"
	_g_object_unref0 (state_file);
#line 1076 "Application.c"
}

static void
break_timer_daemon_application_class_init (BreakTimerDaemonApplicationClass * klass,
                                           gpointer klass_data)
{
#line 26 "../src/daemon/Application.vala"
	break_timer_daemon_application_parent_class = g_type_class_peek_parent (klass);
#line 26 "../src/daemon/Application.vala"
	g_type_class_adjust_private_offset (klass, &BreakTimerDaemonApplication_private_offset);
#line 26 "../src/daemon/Application.vala"
	((GApplicationClass *) klass)->activate = (void (*) (GApplication*)) break_timer_daemon_application_real_activate;
#line 26 "../src/daemon/Application.vala"
	((GApplicationClass *) klass)->startup = (void (*) (GApplication*)) break_timer_daemon_application_real_startup;
#line 26 "../src/daemon/Application.vala"
	((GApplicationClass *) klass)->shutdown = (void (*) (GApplication*)) break_timer_daemon_application_real_shutdown;
#line 26 "../src/daemon/Application.vala"
	G_OBJECT_CLASS (klass)->finalize = break_timer_daemon_application_finalize;
#line 1095 "Application.c"
}

static void
break_timer_daemon_application_instance_init (BreakTimerDaemonApplication * self,
                                              gpointer klass)
{
#line 26 "../src/daemon/Application.vala"
	self->priv = break_timer_daemon_application_get_instance_private (self);
#line 1104 "Application.c"
}

static void
break_timer_daemon_application_finalize (GObject * obj)
{
	BreakTimerDaemonApplication * self;
#line 26 "../src/daemon/Application.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, BREAK_TIMER_DAEMON_TYPE_APPLICATION, BreakTimerDaemonApplication);
#line 36 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->break_manager);
#line 37 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->session_status);
#line 38 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->activity_monitor_backend);
#line 39 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->activity_monitor);
#line 40 "../src/daemon/Application.vala"
	_g_object_unref0 (self->priv->ui_manager);
#line 42 "../src/daemon/Application.vala"
	_g_free0 (self->priv->cache_path);
#line 26 "../src/daemon/Application.vala"
	G_OBJECT_CLASS (break_timer_daemon_application_parent_class)->finalize (obj);
#line 1127 "Application.c"
}

static GType
break_timer_daemon_application_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (BreakTimerDaemonApplicationClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) break_timer_daemon_application_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (BreakTimerDaemonApplication), 0, (GInstanceInitFunc) break_timer_daemon_application_instance_init, NULL };
	GType break_timer_daemon_application_type_id;
	break_timer_daemon_application_type_id = g_type_register_static (gtk_application_get_type (), "BreakTimerDaemonApplication", &g_define_type_info, 0);
	BreakTimerDaemonApplication_private_offset = g_type_add_instance_private (break_timer_daemon_application_type_id, sizeof (BreakTimerDaemonApplicationPrivate));
	return break_timer_daemon_application_type_id;
}

GType
break_timer_daemon_application_get_type (void)
{
	static volatile gsize break_timer_daemon_application_type_id__once = 0;
	if (g_once_init_enter (&break_timer_daemon_application_type_id__once)) {
		GType break_timer_daemon_application_type_id;
		break_timer_daemon_application_type_id = break_timer_daemon_application_get_type_once ();
		g_once_init_leave (&break_timer_daemon_application_type_id__once, break_timer_daemon_application_type_id);
	}
	return break_timer_daemon_application_type_id__once;
}

