/* BreakManager.c generated by valac 0.56.14, the Vala compiler
 * generated from BreakManager.vala, do not modify */

/* BreakManager.vala
 *
 * Copyright 2020 Dylan McCall <dylan@dylanmccall.ca>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */
/* TODO: This intentionally resembles BreakManager from the daemon application.*/
/* Ideally, it should be common code in the future.*/
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include "settings.h"
#include "common.h"
#include <glib.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib-object.h>
#include "config.h"
#include <glib/gstdio.h>
#include <gio/gdesktopappinfo.h>

enum  {
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_0_PROPERTY,
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_MASTER_ENABLED_PROPERTY,
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_SELECTED_BREAK_IDS_PROPERTY,
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_FOREGROUND_BREAK_PROPERTY,
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_PROPERTY,
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_NUM_PROPERTIES
};
static GParamSpec* break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
enum  {
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_BREAK_STATUS_AVAILABLE_SIGNAL,
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_STATUS_CHANGED_SIGNAL,
	BREAK_TIMER_SETTINGS_BREAK_MANAGER_NUM_SIGNALS
};
static guint break_timer_settings_break_manager_signals[BREAK_TIMER_SETTINGS_BREAK_MANAGER_NUM_SIGNALS] = {0};

struct _BreakTimerSettingsBreakManagerPrivate {
	BreakTimerCommonIBreakTimer* break_daemon;
	GList* breaks;
	GSettings* settings;
	gboolean _master_enabled;
	gchar** _selected_break_ids;
	gint _selected_break_ids_length1;
	gint __selected_break_ids_size_;
	BreakTimerSettingsBreakBreakType* _foreground_break;
	BreakTimerSettingsBreakManagerPermissionsError _permissions_error;
	GDBusConnection* dbus_connection;
	BreakTimerCommonIPortalBackground* background_portal;
	BreakTimerCommonIPortalRequest* background_request;
	char* background_request_path;
};

static gint BreakTimerSettingsBreakManager_private_offset;
static gpointer break_timer_settings_break_manager_parent_class = NULL;

static void _g_object_unref0_ (gpointer var);
static inline void _g_list_free__g_object_unref0_ (GList* self);
static void break_timer_settings_break_manager_set_permissions_error (BreakTimerSettingsBreakManager* self,
                                                               BreakTimerSettingsBreakManagerPermissionsError value);
static void break_timer_settings_break_manager_on_master_enabled_changed (BreakTimerSettingsBreakManager* self);
static void _break_timer_settings_break_manager_on_master_enabled_changed_g_object_notify (GObject* _sender,
                                                                                    GParamSpec* pspec,
                                                                                    gpointer self);
static gboolean break_timer_settings_break_manager_get_is_in_flatpak (BreakTimerSettingsBreakManager* self);
static void break_timer_settings_break_manager_break_daemon_appeared (BreakTimerSettingsBreakManager* self);
static void _break_timer_settings_break_manager_break_daemon_appeared_gbus_name_appeared_callback (GDBusConnection* connection,
                                                                                            const gchar* name,
                                                                                            const gchar* name_owner,
                                                                                            gpointer self);
static void break_timer_settings_break_manager_break_daemon_disappeared (BreakTimerSettingsBreakManager* self);
static void _break_timer_settings_break_manager_break_daemon_disappeared_gbus_name_vanished_callback (GDBusConnection* connection,
                                                                                               const gchar* name,
                                                                                               gpointer self);
static void break_timer_settings_break_manager_break_status_changed (BreakTimerSettingsBreakManager* self,
                                                              BreakTimerSettingsBreakBreakType* break_type,
                                                              BreakTimerCommonBreakStatus* break_status);
static void _break_timer_settings_break_manager_break_status_changed_break_timer_settings_break_break_type_status_changed (BreakTimerSettingsBreakBreakType* _sender,
                                                                                                                    BreakTimerCommonBreakStatus* status,
                                                                                                                    gpointer self);
static void break_timer_settings_break_manager_launch_break_timer_service (BreakTimerSettingsBreakManager* self);
static gboolean break_timer_settings_break_manager_request_background (BreakTimerSettingsBreakManager* self,
                                                                gboolean autostart);
static void _g_free0_ (gpointer var);
static void _g_variant_unref0_ (gpointer var);
static GVariant* _variant_new1 (const gchar* value);
static GVariant* _variant_new2 (gboolean value);
static GVariant* _variant_new3 (gboolean value);
static gboolean break_timer_settings_break_manager_watch_background_request (BreakTimerSettingsBreakManager* self,
                                                                      const char* request_path);
static void break_timer_settings_break_manager_on_background_request_response (BreakTimerSettingsBreakManager* self,
                                                                        guint32 response,
                                                                        GHashTable* results);
static void _break_timer_settings_break_manager_on_background_request_response_break_timer_common_iportal_request_response (BreakTimerCommonIPortalRequest* _sender,
                                                                                                                     guint32 response,
                                                                                                                     GHashTable* results,
                                                                                                                     gpointer self);
static gboolean _variant_get1 (GVariant* value);
static gboolean _variant_get2 (GVariant* value);
static void break_timer_settings_break_manager_set_foreground_break (BreakTimerSettingsBreakManager* self,
                                                              BreakTimerSettingsBreakBreakType* value);
static gchar** _vala_array_dup1 (gchar** self,
                          gssize length);
static void break_timer_settings_break_manager_finalize (GObject * obj);
static GType break_timer_settings_break_manager_get_type_once (void);
static void _vala_break_timer_settings_break_manager_get_property (GObject * object,
                                                            guint property_id,
                                                            GValue * value,
                                                            GParamSpec * pspec);
static void _vala_break_timer_settings_break_manager_set_property (GObject * object,
                                                            guint property_id,
                                                            const GValue * value,
                                                            GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);

static inline gpointer
break_timer_settings_break_manager_get_instance_private (BreakTimerSettingsBreakManager* self)
{
	return G_STRUCT_MEMBER_P (self, BreakTimerSettingsBreakManager_private_offset);
}

static GType
break_timer_settings_break_manager_permissions_error_get_type_once (void)
{
	static const GFlagsValue values[] = {{BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_NONE, "BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_NONE", "none"}, {BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_AUTOSTART_NOT_ALLOWED, "BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_AUTOSTART_NOT_ALLOWED", "autostart-not-allowed"}, {BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_BACKGROUND_NOT_ALLOWED, "BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_BACKGROUND_NOT_ALLOWED", "background-not-allowed"}, {0, NULL, NULL}};
	GType break_timer_settings_break_manager_permissions_error_type_id;
	break_timer_settings_break_manager_permissions_error_type_id = g_flags_register_static ("BreakTimerSettingsBreakManagerPermissionsError", values);
	return break_timer_settings_break_manager_permissions_error_type_id;
}

GType
break_timer_settings_break_manager_permissions_error_get_type (void)
{
	static volatile gsize break_timer_settings_break_manager_permissions_error_type_id__once = 0;
	if (g_once_init_enter (&break_timer_settings_break_manager_permissions_error_type_id__once)) {
		GType break_timer_settings_break_manager_permissions_error_type_id;
		break_timer_settings_break_manager_permissions_error_type_id = break_timer_settings_break_manager_permissions_error_get_type_once ();
		g_once_init_leave (&break_timer_settings_break_manager_permissions_error_type_id__once, break_timer_settings_break_manager_permissions_error_type_id);
	}
	return break_timer_settings_break_manager_permissions_error_type_id__once;
}

static void
_g_object_unref0_ (gpointer var)
{
#line 34 "../src/settings/BreakManager.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 181 "BreakManager.c"
}

static inline void
_g_list_free__g_object_unref0_ (GList* self)
{
#line 34 "../src/settings/BreakManager.vala"
	g_list_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 189 "BreakManager.c"
}

static void
_break_timer_settings_break_manager_on_master_enabled_changed_g_object_notify (GObject* _sender,
                                                                               GParamSpec* pspec,
                                                                               gpointer self)
{
#line 71 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_on_master_enabled_changed ((BreakTimerSettingsBreakManager*) self);
#line 199 "BreakManager.c"
}

BreakTimerSettingsBreakManager*
break_timer_settings_break_manager_construct (GType object_type)
{
	BreakTimerSettingsBreakManager * self = NULL;
	GSettings* _tmp0_;
	BreakTimerSettingsMicroBreakMicroBreakType* _tmp1_;
	BreakTimerSettingsRestBreakRestBreakType* _tmp2_;
	GSettings* _tmp3_;
	GSettings* _tmp4_;
#line 59 "../src/settings/BreakManager.vala"
	self = (BreakTimerSettingsBreakManager*) g_object_new (object_type, NULL);
#line 60 "../src/settings/BreakManager.vala"
	_tmp0_ = g_settings_new (APPLICATION_ID);
#line 60 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->settings);
#line 60 "../src/settings/BreakManager.vala"
	self->priv->settings = _tmp0_;
#line 62 "../src/settings/BreakManager.vala"
	(self->priv->breaks == NULL) ? NULL : (self->priv->breaks = (_g_list_free__g_object_unref0_ (self->priv->breaks), NULL));
#line 62 "../src/settings/BreakManager.vala"
	self->priv->breaks = NULL;
#line 63 "../src/settings/BreakManager.vala"
	_tmp1_ = break_timer_settings_micro_break_micro_break_type_new ();
#line 63 "../src/settings/BreakManager.vala"
	self->priv->breaks = g_list_append (self->priv->breaks, (BreakTimerSettingsBreakBreakType*) _tmp1_);
#line 64 "../src/settings/BreakManager.vala"
	_tmp2_ = break_timer_settings_rest_break_rest_break_type_new ();
#line 64 "../src/settings/BreakManager.vala"
	self->priv->breaks = g_list_append (self->priv->breaks, (BreakTimerSettingsBreakBreakType*) _tmp2_);
#line 66 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_set_permissions_error (self, BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_NONE);
#line 68 "../src/settings/BreakManager.vala"
	_tmp3_ = self->priv->settings;
#line 68 "../src/settings/BreakManager.vala"
	g_settings_bind (_tmp3_, "enabled", (GObject*) self, "master-enabled", G_SETTINGS_BIND_DEFAULT);
#line 69 "../src/settings/BreakManager.vala"
	_tmp4_ = self->priv->settings;
#line 69 "../src/settings/BreakManager.vala"
	g_settings_bind (_tmp4_, "selected-breaks", (GObject*) self, "selected-break-ids", G_SETTINGS_BIND_DEFAULT);
#line 71 "../src/settings/BreakManager.vala"
	g_signal_connect_object ((GObject*) self, "notify::master-enabled", (GCallback) _break_timer_settings_break_manager_on_master_enabled_changed_g_object_notify, self, 0);
#line 59 "../src/settings/BreakManager.vala"
	return self;
#line 245 "BreakManager.c"
}

BreakTimerSettingsBreakManager*
break_timer_settings_break_manager_new (void)
{
#line 59 "../src/settings/BreakManager.vala"
	return break_timer_settings_break_manager_construct (BREAK_TIMER_SETTINGS_TYPE_BREAK_MANAGER);
#line 253 "BreakManager.c"
}

static void
_break_timer_settings_break_manager_break_daemon_appeared_gbus_name_appeared_callback (GDBusConnection* connection,
                                                                                       const gchar* name,
                                                                                       const gchar* name_owner,
                                                                                       gpointer self)
{
#line 88 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_break_daemon_appeared ((BreakTimerSettingsBreakManager*) self);
#line 264 "BreakManager.c"
}

static void
_break_timer_settings_break_manager_break_daemon_disappeared_gbus_name_vanished_callback (GDBusConnection* connection,
                                                                                          const gchar* name,
                                                                                          gpointer self)
{
#line 88 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_break_daemon_disappeared ((BreakTimerSettingsBreakManager*) self);
#line 274 "BreakManager.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 96 "../src/settings/BreakManager.vala"
	return self ? g_object_ref (self) : NULL;
#line 282 "BreakManager.c"
}

static void
_break_timer_settings_break_manager_break_status_changed_break_timer_settings_break_break_type_status_changed (BreakTimerSettingsBreakBreakType* _sender,
                                                                                                               BreakTimerCommonBreakStatus* status,
                                                                                                               gpointer self)
{
#line 97 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_break_status_changed ((BreakTimerSettingsBreakManager*) self, _sender, status);
#line 292 "BreakManager.c"
}

gboolean
break_timer_settings_break_manager_init (BreakTimerSettingsBreakManager* self,
                                         GCancellable* cancellable,
                                         GError** error)
{
	GDBusConnection* _tmp0_ = NULL;
	GDBusConnection* _tmp1_;
	GDBusConnection* _tmp3_;
	GDBusConnection* _tmp9_;
	GList* _tmp10_;
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 74 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 75 "../src/settings/BreakManager.vala"
	_tmp1_ = g_bus_get_sync (G_BUS_TYPE_SESSION, cancellable, &_inner_error0_);
#line 75 "../src/settings/BreakManager.vala"
	_tmp0_ = _tmp1_;
#line 75 "../src/settings/BreakManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 315 "BreakManager.c"
		gboolean _tmp2_ = FALSE;
#line 75 "../src/settings/BreakManager.vala"
		g_propagate_error (error, _inner_error0_);
#line 75 "../src/settings/BreakManager.vala"
		return _tmp2_;
#line 321 "BreakManager.c"
	}
#line 75 "../src/settings/BreakManager.vala"
	_tmp3_ = _tmp0_;
#line 75 "../src/settings/BreakManager.vala"
	_tmp0_ = NULL;
#line 75 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->dbus_connection);
#line 75 "../src/settings/BreakManager.vala"
	self->priv->dbus_connection = _tmp3_;
#line 77 "../src/settings/BreakManager.vala"
	if (break_timer_settings_break_manager_get_is_in_flatpak (self)) {
#line 333 "BreakManager.c"
		BreakTimerCommonIPortalBackground* _tmp4_ = NULL;
		GDBusConnection* _tmp5_;
		BreakTimerCommonIPortalBackground* _tmp6_;
		BreakTimerCommonIPortalBackground* _tmp8_;
#line 80 "../src/settings/BreakManager.vala"
		_tmp5_ = self->priv->dbus_connection;
#line 80 "../src/settings/BreakManager.vala"
		_tmp6_ = (BreakTimerCommonIPortalBackground*) g_initable_new (BREAK_TIMER_COMMON_TYPE_IPORTAL_BACKGROUND_PROXY, cancellable, &_inner_error0_, "g-flags", G_DBUS_PROXY_FLAGS_NONE, "g-name", "org.freedesktop.portal.Desktop", "g-connection", _tmp5_, "g-object-path", "/org/freedesktop/portal/desktop", "g-interface-name", "org.freedesktop.portal.Background", NULL);
#line 80 "../src/settings/BreakManager.vala"
		_tmp4_ = (BreakTimerCommonIPortalBackground*) _tmp6_;
#line 80 "../src/settings/BreakManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 346 "BreakManager.c"
			gboolean _tmp7_ = FALSE;
#line 80 "../src/settings/BreakManager.vala"
			g_propagate_error (error, _inner_error0_);
#line 80 "../src/settings/BreakManager.vala"
			_g_object_unref0 (_tmp0_);
#line 80 "../src/settings/BreakManager.vala"
			return _tmp7_;
#line 354 "BreakManager.c"
		}
#line 80 "../src/settings/BreakManager.vala"
		_tmp8_ = _tmp4_;
#line 80 "../src/settings/BreakManager.vala"
		_tmp4_ = NULL;
#line 80 "../src/settings/BreakManager.vala"
		_g_object_unref0 (self->priv->background_portal);
#line 80 "../src/settings/BreakManager.vala"
		self->priv->background_portal = _tmp8_;
#line 77 "../src/settings/BreakManager.vala"
		_g_object_unref0 (_tmp4_);
#line 366 "BreakManager.c"
	}
#line 88 "../src/settings/BreakManager.vala"
	_tmp9_ = self->priv->dbus_connection;
#line 88 "../src/settings/BreakManager.vala"
	g_bus_watch_name_on_connection_with_closures (_tmp9_, DAEMON_APPLICATION_ID, G_BUS_NAME_WATCHER_FLAGS_NONE, (GClosure*) ((_break_timer_settings_break_manager_break_daemon_appeared_gbus_name_appeared_callback == NULL) ? NULL : g_cclosure_new ((GCallback) _break_timer_settings_break_manager_break_daemon_appeared_gbus_name_appeared_callback, g_object_ref (self), (GClosureNotify) g_object_unref)), (GClosure*) ((_break_timer_settings_break_manager_break_daemon_disappeared_gbus_name_vanished_callback == NULL) ? NULL : g_cclosure_new ((GCallback) _break_timer_settings_break_manager_break_daemon_disappeared_gbus_name_vanished_callback, g_object_ref (self), (GClosureNotify) g_object_unref)));
#line 96 "../src/settings/BreakManager.vala"
	_tmp10_ = break_timer_settings_break_manager_all_breaks (self);
#line 374 "BreakManager.c"
	{
		GList* break_type_collection = NULL;
		GList* break_type_it = NULL;
#line 96 "../src/settings/BreakManager.vala"
		break_type_collection = _tmp10_;
#line 96 "../src/settings/BreakManager.vala"
		for (break_type_it = break_type_collection; break_type_it != NULL; break_type_it = break_type_it->next) {
#line 382 "BreakManager.c"
			BreakTimerSettingsBreakBreakType* _tmp11_;
			BreakTimerSettingsBreakBreakType* break_type = NULL;
#line 96 "../src/settings/BreakManager.vala"
			_tmp11_ = _g_object_ref0 ((BreakTimerSettingsBreakBreakType*) break_type_it->data);
#line 96 "../src/settings/BreakManager.vala"
			break_type = _tmp11_;
#line 389 "BreakManager.c"
			{
				BreakTimerSettingsBreakBreakType* _tmp12_;
				BreakTimerSettingsBreakBreakType* _tmp13_;
#line 97 "../src/settings/BreakManager.vala"
				_tmp12_ = break_type;
#line 97 "../src/settings/BreakManager.vala"
				g_signal_connect_object (_tmp12_, "status-changed", (GCallback) _break_timer_settings_break_manager_break_status_changed_break_timer_settings_break_break_type_status_changed, self, 0);
#line 98 "../src/settings/BreakManager.vala"
				_tmp13_ = break_type;
#line 98 "../src/settings/BreakManager.vala"
				break_timer_settings_break_break_type_init (_tmp13_, cancellable, &_inner_error0_);
#line 98 "../src/settings/BreakManager.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 403 "BreakManager.c"
					gboolean _tmp14_ = FALSE;
#line 98 "../src/settings/BreakManager.vala"
					g_propagate_error (error, _inner_error0_);
#line 98 "../src/settings/BreakManager.vala"
					_g_object_unref0 (break_type);
#line 98 "../src/settings/BreakManager.vala"
					_g_object_unref0 (_tmp0_);
#line 98 "../src/settings/BreakManager.vala"
					return _tmp14_;
#line 413 "BreakManager.c"
				}
#line 96 "../src/settings/BreakManager.vala"
				_g_object_unref0 (break_type);
#line 417 "BreakManager.c"
			}
		}
	}
#line 101 "../src/settings/BreakManager.vala"
	result = TRUE;
#line 101 "../src/settings/BreakManager.vala"
	_g_object_unref0 (_tmp0_);
#line 101 "../src/settings/BreakManager.vala"
	return result;
#line 427 "BreakManager.c"
}

static void
break_timer_settings_break_manager_on_master_enabled_changed (BreakTimerSettingsBreakManager* self)
{
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 104 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 106 "../src/settings/BreakManager.vala"
	_tmp0_ = self->priv->_master_enabled;
#line 106 "../src/settings/BreakManager.vala"
	if (_tmp0_) {
#line 107 "../src/settings/BreakManager.vala"
		break_timer_settings_break_manager_launch_break_timer_service (self);
#line 443 "BreakManager.c"
	}
#line 110 "../src/settings/BreakManager.vala"
	_tmp1_ = self->priv->_master_enabled;
#line 110 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_request_background (self, _tmp1_);
#line 449 "BreakManager.c"
}

void
break_timer_settings_break_manager_refresh_permissions (BreakTimerSettingsBreakManager* self)
{
	gboolean _tmp0_;
#line 113 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 114 "../src/settings/BreakManager.vala"
	_tmp0_ = self->priv->_master_enabled;
#line 114 "../src/settings/BreakManager.vala"
	if (_tmp0_) {
#line 462 "BreakManager.c"
		gboolean _tmp1_;
#line 115 "../src/settings/BreakManager.vala"
		_tmp1_ = self->priv->_master_enabled;
#line 115 "../src/settings/BreakManager.vala"
		break_timer_settings_break_manager_request_background (self, _tmp1_);
#line 468 "BreakManager.c"
	}
}

static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
	gchar* result;
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1546 "glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1546 "glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 491 "BreakManager.c"
	} else {
#line 1546 "glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 495 "BreakManager.c"
	}
#line 1546 "glib-2.0.vapi"
	if (_tmp1_) {
#line 1546 "glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 501 "BreakManager.c"
	} else {
#line 1546 "glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 505 "BreakManager.c"
	}
#line 1546 "glib-2.0.vapi"
	if (_tmp0_) {
#line 509 "BreakManager.c"
		gchar* _tmp2_;
#line 1547 "glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1547 "glib-2.0.vapi"
		result = _tmp2_;
#line 1547 "glib-2.0.vapi"
		return result;
#line 517 "BreakManager.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1550 "glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1550 "glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1550 "glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1550 "glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1550 "glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1550 "glib-2.0.vapi"
		regex = _tmp6_;
#line 1550 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1550 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 545 "BreakManager.c"
				goto __catch0_g_regex_error;
			}
#line 1550 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1550 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1550 "glib-2.0.vapi"
			return NULL;
#line 554 "BreakManager.c"
		}
#line 1551 "glib-2.0.vapi"
		_tmp8_ = regex;
#line 1551 "glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1551 "glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1551 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1551 "glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1551 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 568 "BreakManager.c"
				goto __catch0_g_regex_error;
			}
#line 1551 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1551 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1551 "glib-2.0.vapi"
			return NULL;
#line 577 "BreakManager.c"
		}
#line 1551 "glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1551 "glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1551 "glib-2.0.vapi"
		result = _tmp10_;
#line 1551 "glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1551 "glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1551 "glib-2.0.vapi"
		return result;
#line 591 "BreakManager.c"
	}
	goto __finally0;
	__catch0_g_regex_error:
	{
#line 1549 "glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1553 "glib-2.0.vapi"
		g_assert_not_reached ();
#line 600 "BreakManager.c"
	}
	__finally0:
#line 1549 "glib-2.0.vapi"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1549 "glib-2.0.vapi"
	g_clear_error (&_inner_error0_);
#line 1549 "glib-2.0.vapi"
	return NULL;
#line 609 "BreakManager.c"
}

static gchar*
string_slice (const gchar* self,
              glong start,
              glong end)
{
	glong string_length = 0L;
	gint _tmp0_;
	gint _tmp1_;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gchar* _tmp4_;
	gchar* result;
#line 1491 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1492 "glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1492 "glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1492 "glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1493 "glib-2.0.vapi"
	if (start < ((glong) 0)) {
#line 1494 "glib-2.0.vapi"
		start = string_length + start;
#line 636 "BreakManager.c"
	}
#line 1496 "glib-2.0.vapi"
	if (end < ((glong) 0)) {
#line 1497 "glib-2.0.vapi"
		end = string_length + end;
#line 642 "BreakManager.c"
	}
#line 1499 "glib-2.0.vapi"
	if (start >= ((glong) 0)) {
#line 1499 "glib-2.0.vapi"
		_tmp2_ = start <= string_length;
#line 648 "BreakManager.c"
	} else {
#line 1499 "glib-2.0.vapi"
		_tmp2_ = FALSE;
#line 652 "BreakManager.c"
	}
#line 1499 "glib-2.0.vapi"
	g_return_val_if_fail (_tmp2_, NULL);
#line 1500 "glib-2.0.vapi"
	if (end >= ((glong) 0)) {
#line 1500 "glib-2.0.vapi"
		_tmp3_ = end <= string_length;
#line 660 "BreakManager.c"
	} else {
#line 1500 "glib-2.0.vapi"
		_tmp3_ = FALSE;
#line 664 "BreakManager.c"
	}
#line 1500 "glib-2.0.vapi"
	g_return_val_if_fail (_tmp3_, NULL);
#line 1501 "glib-2.0.vapi"
	g_return_val_if_fail (start <= end, NULL);
#line 1502 "glib-2.0.vapi"
	_tmp4_ = g_strndup (((gchar*) self) + start, (gsize) (end - start));
#line 1502 "glib-2.0.vapi"
	result = _tmp4_;
#line 1502 "glib-2.0.vapi"
	return result;
#line 676 "BreakManager.c"
}

static void
_g_free0_ (gpointer var)
{
#line 131 "../src/settings/BreakManager.vala"
	var = (g_free (var), NULL);
#line 684 "BreakManager.c"
}

static void
_g_variant_unref0_ (gpointer var)
{
#line 131 "../src/settings/BreakManager.vala"
	(var == NULL) ? NULL : (var = (g_variant_unref (var), NULL));
#line 692 "BreakManager.c"
}

static GVariant*
_variant_new1 (const gchar* value)
{
#line 133 "../src/settings/BreakManager.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 700 "BreakManager.c"
}

static GVariant*
_variant_new2 (gboolean value)
{
#line 134 "../src/settings/BreakManager.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 708 "BreakManager.c"
}

static gpointer
_g_variant_ref0 (gpointer self)
{
#line 135 "../src/settings/BreakManager.vala"
	return self ? g_variant_ref (self) : NULL;
#line 716 "BreakManager.c"
}

static GVariant*
_variant_new3 (gboolean value)
{
#line 139 "../src/settings/BreakManager.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 724 "BreakManager.c"
}

static gboolean
break_timer_settings_break_manager_request_background (BreakTimerSettingsBreakManager* self,
                                                       gboolean autostart)
{
	BreakTimerCommonIPortalBackground* _tmp0_;
	gchar* sender_name = NULL;
	GDBusConnection* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	gint _tmp7_;
	gint _tmp8_;
	gchar* _tmp9_;
	gchar* handle_token = NULL;
	gchar* _tmp10_;
	GHashTable* options = NULL;
	GHashFunc _tmp11_;
	GEqualFunc _tmp12_;
	GHashTable* _tmp13_;
	GVariant* commandline = NULL;
	gchar* _tmp14_;
	gchar** _tmp15_;
	gchar** _tmp16_;
	gint _tmp16__length1;
	GVariant* _tmp17_;
	GVariant* _tmp18_;
	GHashTable* _tmp19_;
	gchar* _tmp20_;
	const gchar* _tmp21_;
	GVariant* _tmp22_;
	GHashTable* _tmp23_;
	gchar* _tmp24_;
	GVariant* _tmp25_;
	GHashTable* _tmp26_;
	gchar* _tmp27_;
	GVariant* _tmp28_;
	GVariant* _tmp29_;
	GHashTable* _tmp30_;
	gchar* _tmp31_;
	GVariant* _tmp32_;
	char* request_path = NULL;
	char* expected_request_path = NULL;
	const gchar* _tmp33_;
	const gchar* _tmp34_;
	gchar* _tmp35_;
	gchar* _tmp36_;
	char* _tmp37_;
	char* _tmp38_;
	const char* _tmp39_;
	const char* _tmp51_;
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 119 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 120 "../src/settings/BreakManager.vala"
	_tmp0_ = self->priv->background_portal;
#line 120 "../src/settings/BreakManager.vala"
	if (_tmp0_ == NULL) {
#line 121 "../src/settings/BreakManager.vala"
		break_timer_settings_break_manager_set_permissions_error (self, BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_NONE);
#line 122 "../src/settings/BreakManager.vala"
		result = FALSE;
#line 122 "../src/settings/BreakManager.vala"
		return result;
#line 793 "BreakManager.c"
	}
#line 125 "../src/settings/BreakManager.vala"
	_tmp1_ = self->priv->dbus_connection;
#line 125 "../src/settings/BreakManager.vala"
	_tmp2_ = g_dbus_connection_get_unique_name (_tmp1_);
#line 125 "../src/settings/BreakManager.vala"
	_tmp3_ = _tmp2_;
#line 125 "../src/settings/BreakManager.vala"
	_tmp4_ = string_replace (_tmp3_, ".", "_");
#line 125 "../src/settings/BreakManager.vala"
	sender_name = _tmp4_;
#line 126 "../src/settings/BreakManager.vala"
	_tmp5_ = sender_name;
#line 126 "../src/settings/BreakManager.vala"
	_tmp6_ = sender_name;
#line 126 "../src/settings/BreakManager.vala"
	_tmp7_ = strlen (_tmp6_);
#line 126 "../src/settings/BreakManager.vala"
	_tmp8_ = _tmp7_;
#line 126 "../src/settings/BreakManager.vala"
	_tmp9_ = string_slice (_tmp5_, (glong) 1, (glong) _tmp8_);
#line 126 "../src/settings/BreakManager.vala"
	_g_free0 (sender_name);
#line 126 "../src/settings/BreakManager.vala"
	sender_name = _tmp9_;
#line 127 "../src/settings/BreakManager.vala"
	_tmp10_ = g_strdup_printf ("org_gnome_breaktimer%d", (gint) g_random_int_range ((gint32) 0, (gint32) G_MAXINT));
#line 127 "../src/settings/BreakManager.vala"
	handle_token = _tmp10_;
#line 131 "../src/settings/BreakManager.vala"
	_tmp11_ = g_str_hash;
#line 131 "../src/settings/BreakManager.vala"
	_tmp12_ = g_str_equal;
#line 131 "../src/settings/BreakManager.vala"
	_tmp13_ = g_hash_table_new_full (_tmp11_, _tmp12_, _g_free0_, _g_variant_unref0_);
#line 131 "../src/settings/BreakManager.vala"
	options = _tmp13_;
#line 132 "../src/settings/BreakManager.vala"
	_tmp14_ = g_strdup ("gnome-break-timer-daemon");
#line 132 "../src/settings/BreakManager.vala"
	_tmp15_ = g_new0 (gchar*, 1 + 1);
#line 132 "../src/settings/BreakManager.vala"
	_tmp15_[0] = _tmp14_;
#line 132 "../src/settings/BreakManager.vala"
	_tmp16_ = _tmp15_;
#line 132 "../src/settings/BreakManager.vala"
	_tmp16__length1 = 1;
#line 132 "../src/settings/BreakManager.vala"
	_tmp17_ = g_variant_new_strv (_tmp16_, 1);
#line 132 "../src/settings/BreakManager.vala"
	g_variant_ref_sink (_tmp17_);
#line 132 "../src/settings/BreakManager.vala"
	_tmp18_ = _tmp17_;
#line 132 "../src/settings/BreakManager.vala"
	_tmp16_ = (_vala_array_free (_tmp16_, _tmp16__length1, (GDestroyNotify) g_free), NULL);
#line 132 "../src/settings/BreakManager.vala"
	commandline = _tmp18_;
#line 133 "../src/settings/BreakManager.vala"
	_tmp19_ = options;
#line 133 "../src/settings/BreakManager.vala"
	_tmp20_ = g_strdup ("handle_token");
#line 133 "../src/settings/BreakManager.vala"
	_tmp21_ = handle_token;
#line 133 "../src/settings/BreakManager.vala"
	_tmp22_ = _variant_new1 (_tmp21_);
#line 133 "../src/settings/BreakManager.vala"
	g_hash_table_insert (_tmp19_, _tmp20_, _tmp22_);
#line 134 "../src/settings/BreakManager.vala"
	_tmp23_ = options;
#line 134 "../src/settings/BreakManager.vala"
	_tmp24_ = g_strdup ("autostart");
#line 134 "../src/settings/BreakManager.vala"
	_tmp25_ = _variant_new2 (autostart);
#line 134 "../src/settings/BreakManager.vala"
	g_hash_table_insert (_tmp23_, _tmp24_, _tmp25_);
#line 135 "../src/settings/BreakManager.vala"
	_tmp26_ = options;
#line 135 "../src/settings/BreakManager.vala"
	_tmp27_ = g_strdup ("commandline");
#line 135 "../src/settings/BreakManager.vala"
	_tmp28_ = commandline;
#line 135 "../src/settings/BreakManager.vala"
	_tmp29_ = _g_variant_ref0 (_tmp28_);
#line 135 "../src/settings/BreakManager.vala"
	g_hash_table_insert (_tmp26_, _tmp27_, _tmp29_);
#line 139 "../src/settings/BreakManager.vala"
	_tmp30_ = options;
#line 139 "../src/settings/BreakManager.vala"
	_tmp31_ = g_strdup ("dbus-activatable");
#line 139 "../src/settings/BreakManager.vala"
	_tmp32_ = _variant_new3 (TRUE);
#line 139 "../src/settings/BreakManager.vala"
	g_hash_table_insert (_tmp30_, _tmp31_, _tmp32_);
#line 141 "../src/settings/BreakManager.vala"
	request_path = NULL;
#line 142 "../src/settings/BreakManager.vala"
	_tmp33_ = sender_name;
#line 142 "../src/settings/BreakManager.vala"
	_tmp34_ = handle_token;
#line 142 "../src/settings/BreakManager.vala"
	_tmp35_ = g_strdup_printf ("/org/freedesktop/portal/desktop/request/%s/%s", _tmp33_, _tmp34_);
#line 142 "../src/settings/BreakManager.vala"
	_tmp36_ = _tmp35_;
#line 142 "../src/settings/BreakManager.vala"
	_tmp37_ = g_strdup (_tmp36_);
#line 142 "../src/settings/BreakManager.vala"
	_tmp38_ = _tmp37_;
#line 142 "../src/settings/BreakManager.vala"
	_g_free0 (_tmp36_);
#line 142 "../src/settings/BreakManager.vala"
	expected_request_path = _tmp38_;
#line 149 "../src/settings/BreakManager.vala"
	_tmp39_ = expected_request_path;
#line 149 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_watch_background_request (self, _tmp39_);
#line 909 "BreakManager.c"
	{
		char* _tmp40_ = NULL;
		BreakTimerCommonIPortalBackground* _tmp41_;
		GHashTable* _tmp42_;
		char* _tmp43_;
		char* _tmp45_;
#line 156 "../src/settings/BreakManager.vala"
		_tmp41_ = self->priv->background_portal;
#line 156 "../src/settings/BreakManager.vala"
		_tmp42_ = options;
#line 156 "../src/settings/BreakManager.vala"
		_tmp43_ = break_timer_common_iportal_background_request_background (_tmp41_, "", _tmp42_, &_inner_error0_);
#line 156 "../src/settings/BreakManager.vala"
		_tmp40_ = _tmp43_;
#line 156 "../src/settings/BreakManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 926 "BreakManager.c"
			gboolean _tmp44_ = FALSE;
#line 156 "../src/settings/BreakManager.vala"
			if (_inner_error0_->domain == G_IO_ERROR) {
#line 930 "BreakManager.c"
				goto __catch0_g_io_error;
			}
#line 156 "../src/settings/BreakManager.vala"
			if (_inner_error0_->domain == G_DBUS_ERROR) {
#line 935 "BreakManager.c"
				goto __catch0_g_dbus_error;
			}
#line 156 "../src/settings/BreakManager.vala"
			_g_free0 (expected_request_path);
#line 156 "../src/settings/BreakManager.vala"
			_g_free0 (request_path);
#line 156 "../src/settings/BreakManager.vala"
			_g_variant_unref0 (commandline);
#line 156 "../src/settings/BreakManager.vala"
			_g_hash_table_unref0 (options);
#line 156 "../src/settings/BreakManager.vala"
			_g_free0 (handle_token);
#line 156 "../src/settings/BreakManager.vala"
			_g_free0 (sender_name);
#line 156 "../src/settings/BreakManager.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 156 "../src/settings/BreakManager.vala"
			g_clear_error (&_inner_error0_);
#line 156 "../src/settings/BreakManager.vala"
			return _tmp44_;
#line 956 "BreakManager.c"
		}
#line 156 "../src/settings/BreakManager.vala"
		_tmp45_ = _tmp40_;
#line 156 "../src/settings/BreakManager.vala"
		_tmp40_ = NULL;
#line 156 "../src/settings/BreakManager.vala"
		_g_free0 (request_path);
#line 156 "../src/settings/BreakManager.vala"
		request_path = _tmp45_;
#line 151 "../src/settings/BreakManager.vala"
		_g_free0 (_tmp40_);
#line 968 "BreakManager.c"
	}
	goto __finally0;
	__catch0_g_io_error:
	{
		GError* _error_ = NULL;
		GError* _tmp46_;
		const gchar* _tmp47_;
#line 151 "../src/settings/BreakManager.vala"
		_error_ = _inner_error0_;
#line 151 "../src/settings/BreakManager.vala"
		_inner_error0_ = NULL;
#line 158 "../src/settings/BreakManager.vala"
		_tmp46_ = _error_;
#line 158 "../src/settings/BreakManager.vala"
		_tmp47_ = _tmp46_->message;
#line 158 "../src/settings/BreakManager.vala"
		g_warning ("BreakManager.vala:158: Error connecting to desktop portal: %s", _tmp47_);
#line 159 "../src/settings/BreakManager.vala"
		result = FALSE;
#line 159 "../src/settings/BreakManager.vala"
		_g_error_free0 (_error_);
#line 159 "../src/settings/BreakManager.vala"
		_g_free0 (expected_request_path);
#line 159 "../src/settings/BreakManager.vala"
		_g_free0 (request_path);
#line 159 "../src/settings/BreakManager.vala"
		_g_variant_unref0 (commandline);
#line 159 "../src/settings/BreakManager.vala"
		_g_hash_table_unref0 (options);
#line 159 "../src/settings/BreakManager.vala"
		_g_free0 (handle_token);
#line 159 "../src/settings/BreakManager.vala"
		_g_free0 (sender_name);
#line 159 "../src/settings/BreakManager.vala"
		return result;
#line 1004 "BreakManager.c"
	}
	goto __finally0;
	__catch0_g_dbus_error:
	{
		GError* _error_ = NULL;
		GError* _tmp48_;
		const gchar* _tmp49_;
#line 151 "../src/settings/BreakManager.vala"
		_error_ = _inner_error0_;
#line 151 "../src/settings/BreakManager.vala"
		_inner_error0_ = NULL;
#line 161 "../src/settings/BreakManager.vala"
		_tmp48_ = _error_;
#line 161 "../src/settings/BreakManager.vala"
		_tmp49_ = _tmp48_->message;
#line 161 "../src/settings/BreakManager.vala"
		g_warning ("BreakManager.vala:161: Error enabling autostart: %s", _tmp49_);
#line 162 "../src/settings/BreakManager.vala"
		result = FALSE;
#line 162 "../src/settings/BreakManager.vala"
		_g_error_free0 (_error_);
#line 162 "../src/settings/BreakManager.vala"
		_g_free0 (expected_request_path);
#line 162 "../src/settings/BreakManager.vala"
		_g_free0 (request_path);
#line 162 "../src/settings/BreakManager.vala"
		_g_variant_unref0 (commandline);
#line 162 "../src/settings/BreakManager.vala"
		_g_hash_table_unref0 (options);
#line 162 "../src/settings/BreakManager.vala"
		_g_free0 (handle_token);
#line 162 "../src/settings/BreakManager.vala"
		_g_free0 (sender_name);
#line 162 "../src/settings/BreakManager.vala"
		return result;
#line 1040 "BreakManager.c"
	}
	__finally0:
#line 151 "../src/settings/BreakManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1045 "BreakManager.c"
		gboolean _tmp50_ = FALSE;
#line 151 "../src/settings/BreakManager.vala"
		_g_free0 (expected_request_path);
#line 151 "../src/settings/BreakManager.vala"
		_g_free0 (request_path);
#line 151 "../src/settings/BreakManager.vala"
		_g_variant_unref0 (commandline);
#line 151 "../src/settings/BreakManager.vala"
		_g_hash_table_unref0 (options);
#line 151 "../src/settings/BreakManager.vala"
		_g_free0 (handle_token);
#line 151 "../src/settings/BreakManager.vala"
		_g_free0 (sender_name);
#line 151 "../src/settings/BreakManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 151 "../src/settings/BreakManager.vala"
		g_clear_error (&_inner_error0_);
#line 151 "../src/settings/BreakManager.vala"
		return _tmp50_;
#line 1065 "BreakManager.c"
	}
#line 165 "../src/settings/BreakManager.vala"
	_tmp51_ = request_path;
#line 165 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_watch_background_request (self, _tmp51_);
#line 167 "../src/settings/BreakManager.vala"
	result = TRUE;
#line 167 "../src/settings/BreakManager.vala"
	_g_free0 (expected_request_path);
#line 167 "../src/settings/BreakManager.vala"
	_g_free0 (request_path);
#line 167 "../src/settings/BreakManager.vala"
	_g_variant_unref0 (commandline);
#line 167 "../src/settings/BreakManager.vala"
	_g_hash_table_unref0 (options);
#line 167 "../src/settings/BreakManager.vala"
	_g_free0 (handle_token);
#line 167 "../src/settings/BreakManager.vala"
	_g_free0 (sender_name);
#line 167 "../src/settings/BreakManager.vala"
	return result;
#line 1087 "BreakManager.c"
}

static void
_break_timer_settings_break_manager_on_background_request_response_break_timer_common_iportal_request_response (BreakTimerCommonIPortalRequest* _sender,
                                                                                                                guint32 response,
                                                                                                                GHashTable* results,
                                                                                                                gpointer self)
{
#line 181 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_on_background_request_response ((BreakTimerSettingsBreakManager*) self, response, results);
#line 1098 "BreakManager.c"
}

static gboolean
break_timer_settings_break_manager_watch_background_request (BreakTimerSettingsBreakManager* self,
                                                             const char* request_path)
{
	const char* _tmp0_;
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 170 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 170 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (request_path != NULL, FALSE);
#line 171 "../src/settings/BreakManager.vala"
	_tmp0_ = self->priv->background_request_path;
#line 171 "../src/settings/BreakManager.vala"
	if (g_strcmp0 (request_path, _tmp0_) == 0) {
#line 172 "../src/settings/BreakManager.vala"
		result = TRUE;
#line 172 "../src/settings/BreakManager.vala"
		return result;
#line 1120 "BreakManager.c"
	}
	{
		BreakTimerCommonIPortalRequest* _tmp1_ = NULL;
		GDBusConnection* _tmp2_;
		BreakTimerCommonIPortalRequest* _tmp3_;
		BreakTimerCommonIPortalRequest* _tmp5_;
		char* _tmp6_;
		BreakTimerCommonIPortalRequest* _tmp7_;
#line 176 "../src/settings/BreakManager.vala"
		_tmp2_ = self->priv->dbus_connection;
#line 176 "../src/settings/BreakManager.vala"
		_tmp3_ = (BreakTimerCommonIPortalRequest*) g_initable_new (BREAK_TIMER_COMMON_TYPE_IPORTAL_REQUEST_PROXY, NULL, &_inner_error0_, "g-flags", 0, "g-name", "org.freedesktop.portal.Desktop", "g-connection", _tmp2_, "g-object-path", (const gchar*) request_path, "g-interface-name", "org.freedesktop.portal.Request", NULL);
#line 176 "../src/settings/BreakManager.vala"
		_tmp1_ = (BreakTimerCommonIPortalRequest*) _tmp3_;
#line 176 "../src/settings/BreakManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1137 "BreakManager.c"
			gboolean _tmp4_ = FALSE;
#line 176 "../src/settings/BreakManager.vala"
			if (_inner_error0_->domain == G_IO_ERROR) {
#line 1141 "BreakManager.c"
				goto __catch0_g_io_error;
			}
#line 176 "../src/settings/BreakManager.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 176 "../src/settings/BreakManager.vala"
			g_clear_error (&_inner_error0_);
#line 176 "../src/settings/BreakManager.vala"
			return _tmp4_;
#line 1150 "BreakManager.c"
		}
#line 176 "../src/settings/BreakManager.vala"
		_tmp5_ = _tmp1_;
#line 176 "../src/settings/BreakManager.vala"
		_tmp1_ = NULL;
#line 176 "../src/settings/BreakManager.vala"
		_g_object_unref0 (self->priv->background_request);
#line 176 "../src/settings/BreakManager.vala"
		self->priv->background_request = _tmp5_;
#line 180 "../src/settings/BreakManager.vala"
		_tmp6_ = g_strdup (request_path);
#line 180 "../src/settings/BreakManager.vala"
		_g_free0 (self->priv->background_request_path);
#line 180 "../src/settings/BreakManager.vala"
		self->priv->background_request_path = _tmp6_;
#line 181 "../src/settings/BreakManager.vala"
		_tmp7_ = self->priv->background_request;
#line 181 "../src/settings/BreakManager.vala"
		g_signal_connect_object (_tmp7_, "response", (GCallback) _break_timer_settings_break_manager_on_background_request_response_break_timer_common_iportal_request_response, self, 0);
#line 175 "../src/settings/BreakManager.vala"
		_g_object_unref0 (_tmp1_);
#line 1172 "BreakManager.c"
	}
	goto __finally0;
	__catch0_g_io_error:
	{
		GError* _error_ = NULL;
		GError* _tmp8_;
		const gchar* _tmp9_;
#line 175 "../src/settings/BreakManager.vala"
		_error_ = _inner_error0_;
#line 175 "../src/settings/BreakManager.vala"
		_inner_error0_ = NULL;
#line 183 "../src/settings/BreakManager.vala"
		_tmp8_ = _error_;
#line 183 "../src/settings/BreakManager.vala"
		_tmp9_ = _tmp8_->message;
#line 183 "../src/settings/BreakManager.vala"
		g_warning ("BreakManager.vala:183: Error connecting to desktop portal: %s", _tmp9_);
#line 184 "../src/settings/BreakManager.vala"
		result = FALSE;
#line 184 "../src/settings/BreakManager.vala"
		_g_error_free0 (_error_);
#line 184 "../src/settings/BreakManager.vala"
		return result;
#line 1196 "BreakManager.c"
	}
	__finally0:
#line 175 "../src/settings/BreakManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1201 "BreakManager.c"
		gboolean _tmp10_ = FALSE;
#line 175 "../src/settings/BreakManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 175 "../src/settings/BreakManager.vala"
		g_clear_error (&_inner_error0_);
#line 175 "../src/settings/BreakManager.vala"
		return _tmp10_;
#line 1209 "BreakManager.c"
	}
#line 187 "../src/settings/BreakManager.vala"
	result = TRUE;
#line 187 "../src/settings/BreakManager.vala"
	return result;
#line 1215 "BreakManager.c"
}

static gboolean
_variant_get1 (GVariant* value)
{
#line 191 "../src/settings/BreakManager.vala"
	return g_variant_get_boolean (value);
#line 1223 "BreakManager.c"
}

static gboolean
_variant_get2 (GVariant* value)
{
#line 192 "../src/settings/BreakManager.vala"
	return g_variant_get_boolean (value);
#line 1231 "BreakManager.c"
}

static void
break_timer_settings_break_manager_on_background_request_response (BreakTimerSettingsBreakManager* self,
                                                                   guint32 response,
                                                                   GHashTable* results)
{
	gboolean background_allowed = FALSE;
	gconstpointer _tmp0_;
	gboolean _tmp1_;
	gboolean autostart_allowed = FALSE;
	gconstpointer _tmp2_;
	gboolean _tmp3_;
	BreakTimerSettingsBreakManagerPermissionsError new_permissions_error = 0U;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_;
#line 190 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 190 "../src/settings/BreakManager.vala"
	g_return_if_fail (results != NULL);
#line 191 "../src/settings/BreakManager.vala"
	_tmp0_ = g_hash_table_lookup (results, "background");
#line 191 "../src/settings/BreakManager.vala"
	_tmp1_ = _variant_get1 ((GVariant*) _tmp0_);
#line 191 "../src/settings/BreakManager.vala"
	background_allowed = _tmp1_;
#line 192 "../src/settings/BreakManager.vala"
	_tmp2_ = g_hash_table_lookup (results, "autostart");
#line 192 "../src/settings/BreakManager.vala"
	_tmp3_ = _variant_get2 ((GVariant*) _tmp2_);
#line 192 "../src/settings/BreakManager.vala"
	autostart_allowed = _tmp3_;
#line 194 "../src/settings/BreakManager.vala"
	new_permissions_error = BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_NONE;
#line 196 "../src/settings/BreakManager.vala"
	_tmp5_ = self->priv->_master_enabled;
#line 196 "../src/settings/BreakManager.vala"
	if (_tmp5_) {
#line 196 "../src/settings/BreakManager.vala"
		_tmp4_ = !autostart_allowed;
#line 1274 "BreakManager.c"
	} else {
#line 196 "../src/settings/BreakManager.vala"
		_tmp4_ = FALSE;
#line 1278 "BreakManager.c"
	}
#line 196 "../src/settings/BreakManager.vala"
	if (_tmp4_) {
#line 197 "../src/settings/BreakManager.vala"
		new_permissions_error |= BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_AUTOSTART_NOT_ALLOWED;
#line 1284 "BreakManager.c"
	}
#line 200 "../src/settings/BreakManager.vala"
	_tmp7_ = self->priv->_master_enabled;
#line 200 "../src/settings/BreakManager.vala"
	if (_tmp7_) {
#line 200 "../src/settings/BreakManager.vala"
		_tmp6_ = !background_allowed;
#line 1292 "BreakManager.c"
	} else {
#line 200 "../src/settings/BreakManager.vala"
		_tmp6_ = FALSE;
#line 1296 "BreakManager.c"
	}
#line 200 "../src/settings/BreakManager.vala"
	if (_tmp6_) {
#line 201 "../src/settings/BreakManager.vala"
		new_permissions_error |= BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_BACKGROUND_NOT_ALLOWED;
#line 1302 "BreakManager.c"
	}
#line 204 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_set_permissions_error (self, new_permissions_error);
#line 206 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->background_request);
#line 206 "../src/settings/BreakManager.vala"
	self->priv->background_request = NULL;
#line 1310 "BreakManager.c"
}

static gboolean
break_timer_settings_break_manager_get_is_in_flatpak (BreakTimerSettingsBreakManager* self)
{
	gchar* flatpak_info_path = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gboolean result;
#line 209 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 210 "../src/settings/BreakManager.vala"
	_tmp0_ = g_get_user_runtime_dir ();
#line 210 "../src/settings/BreakManager.vala"
	_tmp1_ = g_build_filename (_tmp0_, "flatpak-info", NULL);
#line 210 "../src/settings/BreakManager.vala"
	flatpak_info_path = _tmp1_;
#line 214 "../src/settings/BreakManager.vala"
	result = g_file_test (flatpak_info_path, G_FILE_TEST_EXISTS);
#line 214 "../src/settings/BreakManager.vala"
	_g_free0 (flatpak_info_path);
#line 214 "../src/settings/BreakManager.vala"
	return result;
#line 1334 "BreakManager.c"
}

GList*
break_timer_settings_break_manager_all_breaks (BreakTimerSettingsBreakManager* self)
{
	GList* _tmp0_;
	GList* result;
#line 217 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 218 "../src/settings/BreakManager.vala"
	_tmp0_ = self->priv->breaks;
#line 218 "../src/settings/BreakManager.vala"
	result = _tmp0_;
#line 218 "../src/settings/BreakManager.vala"
	return result;
#line 1350 "BreakManager.c"
}

/**
     * @returns true if the break daemon is working correctly.
     */
gboolean
break_timer_settings_break_manager_is_working (BreakTimerSettingsBreakManager* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
	gboolean result;
#line 224 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 225 "../src/settings/BreakManager.vala"
	_tmp1_ = self->priv->_master_enabled;
#line 225 "../src/settings/BreakManager.vala"
	if (_tmp1_ == FALSE) {
#line 225 "../src/settings/BreakManager.vala"
		_tmp0_ = TRUE;
#line 1370 "BreakManager.c"
	} else {
		BreakTimerCommonIBreakTimer* _tmp2_;
#line 225 "../src/settings/BreakManager.vala"
		_tmp2_ = self->priv->break_daemon;
#line 225 "../src/settings/BreakManager.vala"
		_tmp0_ = _tmp2_ != NULL;
#line 1377 "BreakManager.c"
	}
#line 225 "../src/settings/BreakManager.vala"
	result = _tmp0_;
#line 225 "../src/settings/BreakManager.vala"
	return result;
#line 1383 "BreakManager.c"
}

static void
break_timer_settings_break_manager_break_status_changed (BreakTimerSettingsBreakManager* self,
                                                         BreakTimerSettingsBreakBreakType* break_type,
                                                         BreakTimerCommonBreakStatus* break_status)
{
	BreakTimerSettingsBreakBreakType* new_foreground_break = NULL;
	BreakTimerSettingsBreakBreakType* _tmp0_;
	BreakTimerSettingsBreakBreakType* _tmp1_;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	BreakTimerSettingsBreakBreakType* _tmp6_;
	BreakTimerSettingsBreakBreakType* _tmp7_;
#line 228 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 228 "../src/settings/BreakManager.vala"
	g_return_if_fail (break_type != NULL);
#line 229 "../src/settings/BreakManager.vala"
	_tmp0_ = self->priv->_foreground_break;
#line 229 "../src/settings/BreakManager.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 229 "../src/settings/BreakManager.vala"
	new_foreground_break = _tmp1_;
#line 231 "../src/settings/BreakManager.vala"
	if (break_status != NULL) {
#line 231 "../src/settings/BreakManager.vala"
		_tmp3_ = (*break_status).is_focused;
#line 1412 "BreakManager.c"
	} else {
#line 231 "../src/settings/BreakManager.vala"
		_tmp3_ = FALSE;
#line 1416 "BreakManager.c"
	}
#line 231 "../src/settings/BreakManager.vala"
	if (_tmp3_) {
#line 231 "../src/settings/BreakManager.vala"
		_tmp2_ = (*break_status).is_active;
#line 1422 "BreakManager.c"
	} else {
#line 231 "../src/settings/BreakManager.vala"
		_tmp2_ = FALSE;
#line 1426 "BreakManager.c"
	}
#line 231 "../src/settings/BreakManager.vala"
	if (_tmp2_) {
#line 1430 "BreakManager.c"
		BreakTimerSettingsBreakBreakType* _tmp4_;
#line 232 "../src/settings/BreakManager.vala"
		_tmp4_ = _g_object_ref0 (break_type);
#line 232 "../src/settings/BreakManager.vala"
		_g_object_unref0 (new_foreground_break);
#line 232 "../src/settings/BreakManager.vala"
		new_foreground_break = _tmp4_;
#line 1438 "BreakManager.c"
	} else {
		BreakTimerSettingsBreakBreakType* _tmp5_;
#line 233 "../src/settings/BreakManager.vala"
		_tmp5_ = self->priv->_foreground_break;
#line 233 "../src/settings/BreakManager.vala"
		if (_tmp5_ == break_type) {
#line 234 "../src/settings/BreakManager.vala"
			_g_object_unref0 (new_foreground_break);
#line 234 "../src/settings/BreakManager.vala"
			new_foreground_break = NULL;
#line 1449 "BreakManager.c"
		}
	}
#line 237 "../src/settings/BreakManager.vala"
	_tmp6_ = self->priv->_foreground_break;
#line 237 "../src/settings/BreakManager.vala"
	_tmp7_ = new_foreground_break;
#line 237 "../src/settings/BreakManager.vala"
	if (_tmp6_ != _tmp7_) {
#line 1458 "BreakManager.c"
		BreakTimerSettingsBreakBreakType* _tmp8_;
#line 238 "../src/settings/BreakManager.vala"
		_tmp8_ = new_foreground_break;
#line 238 "../src/settings/BreakManager.vala"
		break_timer_settings_break_manager_set_foreground_break (self, _tmp8_);
#line 1464 "BreakManager.c"
	}
#line 241 "../src/settings/BreakManager.vala"
	g_signal_emit (self, break_timer_settings_break_manager_signals[BREAK_TIMER_SETTINGS_BREAK_MANAGER_STATUS_CHANGED_SIGNAL], 0);
#line 228 "../src/settings/BreakManager.vala"
	_g_object_unref0 (new_foreground_break);
#line 1470 "BreakManager.c"
}

static void
break_timer_settings_break_manager_break_daemon_appeared (BreakTimerSettingsBreakManager* self)
{
	GError* _inner_error0_ = NULL;
#line 244 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 1479 "BreakManager.c"
	{
		BreakTimerCommonIBreakTimer* _tmp0_ = NULL;
		GDBusConnection* _tmp1_;
		BreakTimerCommonIBreakTimer* _tmp2_;
		BreakTimerCommonIBreakTimer* _tmp3_;
#line 246 "../src/settings/BreakManager.vala"
		_tmp1_ = self->priv->dbus_connection;
#line 246 "../src/settings/BreakManager.vala"
		_tmp2_ = (BreakTimerCommonIBreakTimer*) g_initable_new (BREAK_TIMER_COMMON_TYPE_IBREAK_TIMER_PROXY, NULL, &_inner_error0_, "g-flags", G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START, "g-name", DAEMON_APPLICATION_ID, "g-connection", _tmp1_, "g-object-path", DAEMON_OBJECT_PATH, "g-interface-name", "org.gnome.BreakTimer", NULL);
#line 246 "../src/settings/BreakManager.vala"
		_tmp0_ = (BreakTimerCommonIBreakTimer*) _tmp2_;
#line 246 "../src/settings/BreakManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 246 "../src/settings/BreakManager.vala"
			if (_inner_error0_->domain == G_IO_ERROR) {
#line 1495 "BreakManager.c"
				goto __catch0_g_io_error;
			}
#line 246 "../src/settings/BreakManager.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 246 "../src/settings/BreakManager.vala"
			g_clear_error (&_inner_error0_);
#line 246 "../src/settings/BreakManager.vala"
			return;
#line 1504 "BreakManager.c"
		}
#line 246 "../src/settings/BreakManager.vala"
		_tmp3_ = _tmp0_;
#line 246 "../src/settings/BreakManager.vala"
		_tmp0_ = NULL;
#line 246 "../src/settings/BreakManager.vala"
		_g_object_unref0 (self->priv->break_daemon);
#line 246 "../src/settings/BreakManager.vala"
		self->priv->break_daemon = _tmp3_;
#line 251 "../src/settings/BreakManager.vala"
		g_signal_emit (self, break_timer_settings_break_manager_signals[BREAK_TIMER_SETTINGS_BREAK_MANAGER_BREAK_STATUS_AVAILABLE_SIGNAL], 0);
#line 245 "../src/settings/BreakManager.vala"
		_g_object_unref0 (_tmp0_);
#line 1518 "BreakManager.c"
	}
	goto __finally0;
	__catch0_g_io_error:
	{
		GError* _error_ = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 245 "../src/settings/BreakManager.vala"
		_error_ = _inner_error0_;
#line 245 "../src/settings/BreakManager.vala"
		_inner_error0_ = NULL;
#line 253 "../src/settings/BreakManager.vala"
		_g_object_unref0 (self->priv->break_daemon);
#line 253 "../src/settings/BreakManager.vala"
		self->priv->break_daemon = NULL;
#line 254 "../src/settings/BreakManager.vala"
		_tmp4_ = _error_;
#line 254 "../src/settings/BreakManager.vala"
		_tmp5_ = _tmp4_->message;
#line 254 "../src/settings/BreakManager.vala"
		g_warning ("BreakManager.vala:254: Error connecting to break daemon service: %s", _tmp5_);
#line 245 "../src/settings/BreakManager.vala"
		_g_error_free0 (_error_);
#line 1542 "BreakManager.c"
	}
	__finally0:
#line 245 "../src/settings/BreakManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 245 "../src/settings/BreakManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 245 "../src/settings/BreakManager.vala"
		g_clear_error (&_inner_error0_);
#line 245 "../src/settings/BreakManager.vala"
		return;
#line 1553 "BreakManager.c"
	}
}

static void
break_timer_settings_break_manager_break_daemon_disappeared (BreakTimerSettingsBreakManager* self)
{
	gboolean _tmp0_ = FALSE;
	BreakTimerCommonIBreakTimer* _tmp1_;
#line 258 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 259 "../src/settings/BreakManager.vala"
	_tmp1_ = self->priv->break_daemon;
#line 259 "../src/settings/BreakManager.vala"
	if (_tmp1_ == NULL) {
#line 1568 "BreakManager.c"
		gboolean _tmp2_;
#line 259 "../src/settings/BreakManager.vala"
		_tmp2_ = self->priv->_master_enabled;
#line 259 "../src/settings/BreakManager.vala"
		_tmp0_ = _tmp2_;
#line 1574 "BreakManager.c"
	} else {
#line 259 "../src/settings/BreakManager.vala"
		_tmp0_ = FALSE;
#line 1578 "BreakManager.c"
	}
#line 259 "../src/settings/BreakManager.vala"
	if (_tmp0_) {
#line 262 "../src/settings/BreakManager.vala"
		break_timer_settings_break_manager_launch_break_timer_service (self);
#line 1584 "BreakManager.c"
	}
#line 265 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->break_daemon);
#line 265 "../src/settings/BreakManager.vala"
	self->priv->break_daemon = NULL;
#line 267 "../src/settings/BreakManager.vala"
	g_signal_emit (self, break_timer_settings_break_manager_signals[BREAK_TIMER_SETTINGS_BREAK_MANAGER_STATUS_CHANGED_SIGNAL], 0);
#line 1592 "BreakManager.c"
}

static void
break_timer_settings_break_manager_launch_break_timer_service (BreakTimerSettingsBreakManager* self)
{
	GAppInfo* daemon_app_info = NULL;
	GDesktopAppInfo* _tmp0_;
	GAppLaunchContext* app_launch_context = NULL;
	GAppLaunchContext* _tmp1_;
	GError* _inner_error0_ = NULL;
#line 270 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 271 "../src/settings/BreakManager.vala"
	_tmp0_ = g_desktop_app_info_new (DAEMON_APPLICATION_ID ".desktop");
#line 271 "../src/settings/BreakManager.vala"
	daemon_app_info = (GAppInfo*) _tmp0_;
#line 272 "../src/settings/BreakManager.vala"
	_tmp1_ = g_app_launch_context_new ();
#line 272 "../src/settings/BreakManager.vala"
	app_launch_context = _tmp1_;
#line 1613 "BreakManager.c"
	{
#line 274 "../src/settings/BreakManager.vala"
		g_app_info_launch (daemon_app_info, NULL, app_launch_context, &_inner_error0_);
#line 274 "../src/settings/BreakManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1619 "BreakManager.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp2_;
		const gchar* _tmp3_;
#line 273 "../src/settings/BreakManager.vala"
		_error_ = _inner_error0_;
#line 273 "../src/settings/BreakManager.vala"
		_inner_error0_ = NULL;
#line 276 "../src/settings/BreakManager.vala"
		_tmp2_ = _error_;
#line 276 "../src/settings/BreakManager.vala"
		_tmp3_ = _tmp2_->message;
#line 276 "../src/settings/BreakManager.vala"
		g_warning ("BreakManager.vala:276: Error launching daemon application: %s", _tmp3_);
#line 273 "../src/settings/BreakManager.vala"
		_g_error_free0 (_error_);
#line 1641 "BreakManager.c"
	}
	__finally0:
#line 273 "../src/settings/BreakManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 273 "../src/settings/BreakManager.vala"
		_g_object_unref0 (app_launch_context);
#line 273 "../src/settings/BreakManager.vala"
		_g_object_unref0 (daemon_app_info);
#line 273 "../src/settings/BreakManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 273 "../src/settings/BreakManager.vala"
		g_clear_error (&_inner_error0_);
#line 273 "../src/settings/BreakManager.vala"
		return;
#line 1656 "BreakManager.c"
	}
#line 270 "../src/settings/BreakManager.vala"
	_g_object_unref0 (app_launch_context);
#line 270 "../src/settings/BreakManager.vala"
	_g_object_unref0 (daemon_app_info);
#line 1662 "BreakManager.c"
}

gboolean
break_timer_settings_break_manager_get_master_enabled (BreakTimerSettingsBreakManager* self)
{
	gboolean result;
#line 37 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 37 "../src/settings/BreakManager.vala"
	result = self->priv->_master_enabled;
#line 37 "../src/settings/BreakManager.vala"
	return result;
#line 1675 "BreakManager.c"
}

void
break_timer_settings_break_manager_set_master_enabled (BreakTimerSettingsBreakManager* self,
                                                       gboolean value)
{
	gboolean old_value;
#line 37 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 37 "../src/settings/BreakManager.vala"
	old_value = break_timer_settings_break_manager_get_master_enabled (self);
#line 37 "../src/settings/BreakManager.vala"
	if (old_value != value) {
#line 37 "../src/settings/BreakManager.vala"
		self->priv->_master_enabled = value;
#line 37 "../src/settings/BreakManager.vala"
		g_object_notify_by_pspec ((GObject *) self, break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_MASTER_ENABLED_PROPERTY]);
#line 1693 "BreakManager.c"
	}
}

gchar**
break_timer_settings_break_manager_get_selected_break_ids (BreakTimerSettingsBreakManager* self,
                                                           gint* result_length1)
{
	gchar** result;
	gchar** _tmp0_;
	gint _tmp0__length1;
	gchar** _tmp1_;
	gint _tmp1__length1;
#line 38 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 38 "../src/settings/BreakManager.vala"
	_tmp0_ = self->priv->_selected_break_ids;
#line 38 "../src/settings/BreakManager.vala"
	_tmp0__length1 = self->priv->_selected_break_ids_length1;
#line 38 "../src/settings/BreakManager.vala"
	_tmp1_ = _tmp0_;
#line 38 "../src/settings/BreakManager.vala"
	_tmp1__length1 = _tmp0__length1;
#line 38 "../src/settings/BreakManager.vala"
	if (result_length1) {
#line 38 "../src/settings/BreakManager.vala"
		*result_length1 = _tmp1__length1;
#line 1720 "BreakManager.c"
	}
#line 38 "../src/settings/BreakManager.vala"
	result = _tmp1_;
#line 38 "../src/settings/BreakManager.vala"
	return result;
#line 1726 "BreakManager.c"
}

static gchar**
_vala_array_dup1 (gchar** self,
                  gssize length)
{
#line 38 "../src/settings/BreakManager.vala"
	if (length >= 0) {
#line 1735 "BreakManager.c"
		gchar** result;
		gssize i;
#line 38 "../src/settings/BreakManager.vala"
		result = g_new0 (gchar*, length + 1);
#line 38 "../src/settings/BreakManager.vala"
		for (i = 0; i < length; i++) {
#line 1742 "BreakManager.c"
			gchar* _tmp0_;
#line 38 "../src/settings/BreakManager.vala"
			_tmp0_ = g_strdup (self[i]);
#line 38 "../src/settings/BreakManager.vala"
			result[i] = _tmp0_;
#line 1748 "BreakManager.c"
		}
#line 38 "../src/settings/BreakManager.vala"
		return result;
#line 1752 "BreakManager.c"
	}
#line 38 "../src/settings/BreakManager.vala"
	return NULL;
#line 1756 "BreakManager.c"
}

void
break_timer_settings_break_manager_set_selected_break_ids (BreakTimerSettingsBreakManager* self,
                                                           gchar** value,
                                                           gint value_length1)
{
	gchar** old_value;
	gint old_value_length;
#line 38 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 38 "../src/settings/BreakManager.vala"
	old_value = break_timer_settings_break_manager_get_selected_break_ids (self, &old_value_length);
#line 38 "../src/settings/BreakManager.vala"
	if (old_value != value) {
#line 1772 "BreakManager.c"
		gchar** _tmp0_;
		gint _tmp0__length1;
#line 38 "../src/settings/BreakManager.vala"
		_tmp0_ = (value != NULL) ? _vala_array_dup1 (value, value_length1) : value;
#line 38 "../src/settings/BreakManager.vala"
		_tmp0__length1 = value_length1;
#line 38 "../src/settings/BreakManager.vala"
		self->priv->_selected_break_ids = (_vala_array_free (self->priv->_selected_break_ids, self->priv->_selected_break_ids_length1, (GDestroyNotify) g_free), NULL);
#line 38 "../src/settings/BreakManager.vala"
		self->priv->_selected_break_ids = _tmp0_;
#line 38 "../src/settings/BreakManager.vala"
		self->priv->_selected_break_ids_length1 = _tmp0__length1;
#line 38 "../src/settings/BreakManager.vala"
		self->priv->__selected_break_ids_size_ = self->priv->_selected_break_ids_length1;
#line 38 "../src/settings/BreakManager.vala"
		g_object_notify_by_pspec ((GObject *) self, break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_SELECTED_BREAK_IDS_PROPERTY]);
#line 1789 "BreakManager.c"
	}
}

BreakTimerSettingsBreakBreakType*
break_timer_settings_break_manager_get_foreground_break (BreakTimerSettingsBreakManager* self)
{
	BreakTimerSettingsBreakBreakType* result;
	BreakTimerSettingsBreakBreakType* _tmp0_;
#line 39 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 39 "../src/settings/BreakManager.vala"
	_tmp0_ = self->priv->_foreground_break;
#line 39 "../src/settings/BreakManager.vala"
	result = _tmp0_;
#line 39 "../src/settings/BreakManager.vala"
	return result;
#line 1806 "BreakManager.c"
}

static void
break_timer_settings_break_manager_set_foreground_break (BreakTimerSettingsBreakManager* self,
                                                         BreakTimerSettingsBreakBreakType* value)
{
	BreakTimerSettingsBreakBreakType* old_value;
#line 39 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 39 "../src/settings/BreakManager.vala"
	old_value = break_timer_settings_break_manager_get_foreground_break (self);
#line 39 "../src/settings/BreakManager.vala"
	if (old_value != value) {
#line 1820 "BreakManager.c"
		BreakTimerSettingsBreakBreakType* _tmp0_;
#line 39 "../src/settings/BreakManager.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 39 "../src/settings/BreakManager.vala"
		_g_object_unref0 (self->priv->_foreground_break);
#line 39 "../src/settings/BreakManager.vala"
		self->priv->_foreground_break = _tmp0_;
#line 39 "../src/settings/BreakManager.vala"
		g_object_notify_by_pspec ((GObject *) self, break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_FOREGROUND_BREAK_PROPERTY]);
#line 1830 "BreakManager.c"
	}
}

BreakTimerSettingsBreakManagerPermissionsError
break_timer_settings_break_manager_get_permissions_error (BreakTimerSettingsBreakManager* self)
{
	BreakTimerSettingsBreakManagerPermissionsError result;
#line 41 "../src/settings/BreakManager.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 41 "../src/settings/BreakManager.vala"
	result = self->priv->_permissions_error;
#line 41 "../src/settings/BreakManager.vala"
	return result;
#line 1844 "BreakManager.c"
}

static void
break_timer_settings_break_manager_set_permissions_error (BreakTimerSettingsBreakManager* self,
                                                          BreakTimerSettingsBreakManagerPermissionsError value)
{
	BreakTimerSettingsBreakManagerPermissionsError old_value;
#line 41 "../src/settings/BreakManager.vala"
	g_return_if_fail (self != NULL);
#line 41 "../src/settings/BreakManager.vala"
	old_value = break_timer_settings_break_manager_get_permissions_error (self);
#line 41 "../src/settings/BreakManager.vala"
	if (old_value != value) {
#line 41 "../src/settings/BreakManager.vala"
		self->priv->_permissions_error = value;
#line 41 "../src/settings/BreakManager.vala"
		g_object_notify_by_pspec ((GObject *) self, break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_PROPERTY]);
#line 1862 "BreakManager.c"
	}
}

static void
break_timer_settings_break_manager_class_init (BreakTimerSettingsBreakManagerClass * klass,
                                               gpointer klass_data)
{
#line 31 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_parent_class = g_type_class_peek_parent (klass);
#line 31 "../src/settings/BreakManager.vala"
	g_type_class_adjust_private_offset (klass, &BreakTimerSettingsBreakManager_private_offset);
#line 31 "../src/settings/BreakManager.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_break_timer_settings_break_manager_get_property;
#line 31 "../src/settings/BreakManager.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_break_timer_settings_break_manager_set_property;
#line 31 "../src/settings/BreakManager.vala"
	G_OBJECT_CLASS (klass)->finalize = break_timer_settings_break_manager_finalize;
#line 31 "../src/settings/BreakManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), BREAK_TIMER_SETTINGS_BREAK_MANAGER_MASTER_ENABLED_PROPERTY, break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_MASTER_ENABLED_PROPERTY] = g_param_spec_boolean ("master-enabled", "master-enabled", "master-enabled", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "../src/settings/BreakManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), BREAK_TIMER_SETTINGS_BREAK_MANAGER_SELECTED_BREAK_IDS_PROPERTY, break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_SELECTED_BREAK_IDS_PROPERTY] = g_param_spec_boxed ("selected-break-ids", "selected-break-ids", "selected-break-ids", G_TYPE_STRV, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 31 "../src/settings/BreakManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), BREAK_TIMER_SETTINGS_BREAK_MANAGER_FOREGROUND_BREAK_PROPERTY, break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_FOREGROUND_BREAK_PROPERTY] = g_param_spec_object ("foreground-break", "foreground-break", "foreground-break", BREAK_TIMER_SETTINGS_BREAK_TYPE_BREAK_TYPE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 31 "../src/settings/BreakManager.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_PROPERTY, break_timer_settings_break_manager_properties[BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_PROPERTY] = g_param_spec_flags ("permissions-error", "permissions-error", "permissions-error", BREAK_TIMER_SETTINGS_BREAK_MANAGER_TYPE_PERMISSIONS_ERROR, 0U, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 31 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_signals[BREAK_TIMER_SETTINGS_BREAK_MANAGER_BREAK_STATUS_AVAILABLE_SIGNAL] = g_signal_new ("break-status-available", BREAK_TIMER_SETTINGS_TYPE_BREAK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 31 "../src/settings/BreakManager.vala"
	break_timer_settings_break_manager_signals[BREAK_TIMER_SETTINGS_BREAK_MANAGER_STATUS_CHANGED_SIGNAL] = g_signal_new ("status-changed", BREAK_TIMER_SETTINGS_TYPE_BREAK_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1892 "BreakManager.c"
}

static void
break_timer_settings_break_manager_instance_init (BreakTimerSettingsBreakManager * self,
                                                  gpointer klass)
{
#line 31 "../src/settings/BreakManager.vala"
	self->priv = break_timer_settings_break_manager_get_instance_private (self);
#line 45 "../src/settings/BreakManager.vala"
	self->priv->background_portal = NULL;
#line 46 "../src/settings/BreakManager.vala"
	self->priv->background_request = NULL;
#line 47 "../src/settings/BreakManager.vala"
	self->priv->background_request_path = NULL;
#line 1907 "BreakManager.c"
}

static void
break_timer_settings_break_manager_finalize (GObject * obj)
{
	BreakTimerSettingsBreakManager * self;
#line 31 "../src/settings/BreakManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, BREAK_TIMER_SETTINGS_TYPE_BREAK_MANAGER, BreakTimerSettingsBreakManager);
#line 32 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->break_daemon);
#line 34 "../src/settings/BreakManager.vala"
	(self->priv->breaks == NULL) ? NULL : (self->priv->breaks = (_g_list_free__g_object_unref0_ (self->priv->breaks), NULL));
#line 36 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->settings);
#line 38 "../src/settings/BreakManager.vala"
	self->priv->_selected_break_ids = (_vala_array_free (self->priv->_selected_break_ids, self->priv->_selected_break_ids_length1, (GDestroyNotify) g_free), NULL);
#line 39 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->_foreground_break);
#line 43 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->dbus_connection);
#line 45 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->background_portal);
#line 46 "../src/settings/BreakManager.vala"
	_g_object_unref0 (self->priv->background_request);
#line 47 "../src/settings/BreakManager.vala"
	_g_free0 (self->priv->background_request_path);
#line 31 "../src/settings/BreakManager.vala"
	G_OBJECT_CLASS (break_timer_settings_break_manager_parent_class)->finalize (obj);
#line 1936 "BreakManager.c"
}

static GType
break_timer_settings_break_manager_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (BreakTimerSettingsBreakManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) break_timer_settings_break_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (BreakTimerSettingsBreakManager), 0, (GInstanceInitFunc) break_timer_settings_break_manager_instance_init, NULL };
	GType break_timer_settings_break_manager_type_id;
	break_timer_settings_break_manager_type_id = g_type_register_static (G_TYPE_OBJECT, "BreakTimerSettingsBreakManager", &g_define_type_info, 0);
	BreakTimerSettingsBreakManager_private_offset = g_type_add_instance_private (break_timer_settings_break_manager_type_id, sizeof (BreakTimerSettingsBreakManagerPrivate));
	return break_timer_settings_break_manager_type_id;
}

GType
break_timer_settings_break_manager_get_type (void)
{
	static volatile gsize break_timer_settings_break_manager_type_id__once = 0;
	if (g_once_init_enter (&break_timer_settings_break_manager_type_id__once)) {
		GType break_timer_settings_break_manager_type_id;
		break_timer_settings_break_manager_type_id = break_timer_settings_break_manager_get_type_once ();
		g_once_init_leave (&break_timer_settings_break_manager_type_id__once, break_timer_settings_break_manager_type_id);
	}
	return break_timer_settings_break_manager_type_id__once;
}

static void
_vala_break_timer_settings_break_manager_get_property (GObject * object,
                                                       guint property_id,
                                                       GValue * value,
                                                       GParamSpec * pspec)
{
	BreakTimerSettingsBreakManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, BREAK_TIMER_SETTINGS_TYPE_BREAK_MANAGER, BreakTimerSettingsBreakManager);
#line 31 "../src/settings/BreakManager.vala"
	switch (property_id) {
#line 31 "../src/settings/BreakManager.vala"
		case BREAK_TIMER_SETTINGS_BREAK_MANAGER_MASTER_ENABLED_PROPERTY:
#line 31 "../src/settings/BreakManager.vala"
		g_value_set_boolean (value, break_timer_settings_break_manager_get_master_enabled (self));
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 31 "../src/settings/BreakManager.vala"
		case BREAK_TIMER_SETTINGS_BREAK_MANAGER_SELECTED_BREAK_IDS_PROPERTY:
#line 1979 "BreakManager.c"
		{
			int length;
#line 31 "../src/settings/BreakManager.vala"
			g_value_set_boxed (value, break_timer_settings_break_manager_get_selected_break_ids (self, &length));
#line 1984 "BreakManager.c"
		}
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 31 "../src/settings/BreakManager.vala"
		case BREAK_TIMER_SETTINGS_BREAK_MANAGER_FOREGROUND_BREAK_PROPERTY:
#line 31 "../src/settings/BreakManager.vala"
		g_value_set_object (value, break_timer_settings_break_manager_get_foreground_break (self));
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 31 "../src/settings/BreakManager.vala"
		case BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_PROPERTY:
#line 31 "../src/settings/BreakManager.vala"
		g_value_set_flags (value, break_timer_settings_break_manager_get_permissions_error (self));
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 2000 "BreakManager.c"
		default:
#line 31 "../src/settings/BreakManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 2006 "BreakManager.c"
	}
}

static void
_vala_break_timer_settings_break_manager_set_property (GObject * object,
                                                       guint property_id,
                                                       const GValue * value,
                                                       GParamSpec * pspec)
{
	BreakTimerSettingsBreakManager * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, BREAK_TIMER_SETTINGS_TYPE_BREAK_MANAGER, BreakTimerSettingsBreakManager);
#line 31 "../src/settings/BreakManager.vala"
	switch (property_id) {
#line 31 "../src/settings/BreakManager.vala"
		case BREAK_TIMER_SETTINGS_BREAK_MANAGER_MASTER_ENABLED_PROPERTY:
#line 31 "../src/settings/BreakManager.vala"
		break_timer_settings_break_manager_set_master_enabled (self, g_value_get_boolean (value));
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 31 "../src/settings/BreakManager.vala"
		case BREAK_TIMER_SETTINGS_BREAK_MANAGER_SELECTED_BREAK_IDS_PROPERTY:
#line 2028 "BreakManager.c"
		{
			gpointer boxed;
#line 31 "../src/settings/BreakManager.vala"
			boxed = g_value_get_boxed (value);
#line 31 "../src/settings/BreakManager.vala"
			break_timer_settings_break_manager_set_selected_break_ids (self, boxed, (boxed == NULL) ? 0 : g_strv_length (boxed));
#line 2035 "BreakManager.c"
		}
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 31 "../src/settings/BreakManager.vala"
		case BREAK_TIMER_SETTINGS_BREAK_MANAGER_FOREGROUND_BREAK_PROPERTY:
#line 31 "../src/settings/BreakManager.vala"
		break_timer_settings_break_manager_set_foreground_break (self, g_value_get_object (value));
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 31 "../src/settings/BreakManager.vala"
		case BREAK_TIMER_SETTINGS_BREAK_MANAGER_PERMISSIONS_ERROR_PROPERTY:
#line 31 "../src/settings/BreakManager.vala"
		break_timer_settings_break_manager_set_permissions_error (self, g_value_get_flags (value));
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 2051 "BreakManager.c"
		default:
#line 31 "../src/settings/BreakManager.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "../src/settings/BreakManager.vala"
		break;
#line 2057 "BreakManager.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

